#!/bin/bash

HTMLPATH=/var/www/html

chkconfig --level 345 httpd on
chkconfig --level 345 mysqld on

if [ ! -e "/var/lock/subsys/mysqld" ]; then 
	/etc/init.d/mysqld start
	VYPNOUT="ano"
fi

mysqladmin create nuke
mysql nuke < $HTMLPATH/sql/nuke.sql
mysql mysql < $HTMLPATH/sql/inituser.sql

[ "$VYPNOUT" == "ano" ] && /etc/init.d/mysqld stop

cp /etc/php.ini /etc/php.ini.old
sed -e "s:short_open_tag.*=.*[oO][fF][fF]:short_open_tag = On:" /etc/php.ini.old > /etc/php.ini
