<?php
// File: $Id: install.php,v 1.79 2001/12/08 23:50:20 niceguyeddie Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------
// This is the last update to this script before the new version is finished.

/**
 * PostNuke Install Script.
 *
 * This script will set the database up, and do the basic configurations of the script.  
 * Once this script has run, please delete this file from your root directory.  
 * There is a security risk if you keep this file around.
 *
 * This module of the PostNuke project was inspired by the myPHPNuke project.
 *
 * The PostNuke project is free software released under the GNU License.  
 * Please read the credits file for more information on who has made this project possible.
 */

define('ADODB_DIR', 'pnadodb');
require_once ("pnadodb/adodb.inc.php");

// Moved OpenDB block to function dbconnect() - fsala

include_once 'pntables.php';
include_once 'install/modify_config.php';

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <title>PostNuke instalace</title>
            <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-2">
            <META NAME="AUTHOR" CONTENT="PostNuke Crew">
            <META NAME="GENERATOR" CONTENT="PostNuke -- http://www.postnuke.com">
                <style type="text/css">
                    <!--
                    BODY            { BACKGROUND: #F6F7EB; COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif;TEXT-DECORATION: none }
                    
                    A                {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; TEXT-DECORATION: none}
                    A:link            {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; TEXT-DECORATION: none}
                    A:active        {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; TEXT-DECORATION: none}
                    A:visited        {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; TEXT-DECORATION: none}
                    A:hover            {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; TEXT-DECORATION: underline}
                    
                    .postpage-title    {COLOR: #000000; FONT-SIZE: 16px; FONT-WEIGHT: bold; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif; LETTER-SPACING: 3px; TEXT-DECORATION: none}
                    .post-title        {COLOR: #000000; FONT-SIZE: 11px; FONT-WEIGHT: bold; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif;TEXT-DECORATION: none}
                    .post-normal    {COLOR: #000000; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif;TEXT-DECORATION: none}
                    .post-failed    {COLOR: #ff0034; FONT-SIZE: 11px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif;TEXT-DECORATION: none}
                    .post-sub        {COLOR: #000000; FONT-SIZE: 9px; FONT-FAMILY: TahomaCE, VerdanaCE, Tahoma, Verdana, sans-serif;TEXT-DECORATION: none}
                    -->
                </style>
    </head>
<body>
<font class="postpage-title">Instalace Nuke CZ</font><br><br>

<?php

/*** Connect to Database ***/
function dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    $dbtype = 'mysql';  // REMOVE THIS ON FINAL RELEASE!!

    $connectString = "$dbtype://$dbuname:$dbpass@$dbhost/$dbname";

    GLOBAL $ADODB_FETCH_MODE;
    $dbconn = &ADONewConnection($dbtype);
    $dbh = $dbconn->Connect($dbhost, $dbuname, $dbpass, $dbname);
    $ADODB_FETCH_MODE = ADODB_FETCH_NUM;

    // if we get an error, log it and die
    if ($dbh === false) {
        error_log ("connect string: $connectString");
        error_log ("error: " . $dbconn->ErrorMsg());
		// show error and die
        PN_DBMsgError($dbconn, __FILE__ , __LINE__, "Chyba pi pipojen k db");
    } else {
        return $dbconn;
    }
	
};

/*** This function creates the DB on new installs ***/
function make_db($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $dbmake)
{
    global $dbconn;
    echo "<center><br><br>";
    if ($dbmake) {
        mysql_pconnect($dbhost, $dbuname, $dbpass);
        $result = mysql_query("CREATE DATABASE $dbname") or die ("Nemohu vytvoit databzi");
        $message = "<br><br><font class=\"post-failed\">$dbname byla vytvoena</font>";
        echo "$message";
    } else {
        echo "<font class=\"post-failed\">Nevytvet DB.</font>";
    }
    include("install/newtables.php");
}

/** Error message due a ADODB SQL error and die (copied from mainfile.php because it is not included */
    function PN_DBMsgError($db='',$prg='',$line=0,$message='Chyba pi prci s databz')
    {
        $lcmessage = $message . "<br>" .
                     "Program: " . $prg . " - " . "dek .: " . $line . "<br>" .
                     "Database: " . $db->database . "<br> ";

        if($db->ErrorNo()<>0) {
            $lcmessage .= "Error (" . $db->ErrorNo() . ") : " . $db->ErrorMsg() . "<br>";
        }
        die($lcmessage);
    }

/*** This function inserts the default data on new installs ***/
function input_data($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $aid, $name, $pwd, $email, $url)
{
    echo "<font class=\"post-title\">Data byla nataena</font><font class=\"post-normal\"> -- Zde je vae uivatelsk jmno a heslo.  Ujistte se, e jste je napsal sprvn.  Pokud je ztratte, nemete heslo znovu zskat.</font><br><br>
    <font class=\"post-normal\">$aid / $pwd jsou pihlaovac informace</font><br><br>";
    echo "<center>";

    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-sub\">Nemohu se spojit databz</font>");

    // Put basic information in first
    include("install/newdata.php");

    // new installs will use md5 hashing - compatible on windows and *nix variants.
    $pwd = md5($pwd);

    $result = mysql_query("INSERT INTO $prefix"._users." VALUES ( NULL, '$name', '$aid', '$email', '', '$url', 'blank.gif', '', '', '', '', '', '', '', '', '', '', '', '$pwd', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, 0)") or die ("<b>Nemohu aktualizovat uivatele $prefix"._users."</b>");
    echo "<br><font class=\"post-sub\">$prefix"._users." - aktualizovno</font>";

    // We know that the above user is UID 2 and that the admin group is GID 2 from the install/newdata 
    $result = mysql_query("INSERT INTO $prefix"._group_membership." VALUES (2, 2)") or die ("<b>Nemohu aktualizovat $prefix"._group_membership."</b>");
    echo "<br><font class=\"post-sub\">$prefix"._group_membership." - aktualizovno</font>";

}

/*** This function calls the upgrade from mpn 1.8.7 ***/
function do_upgrade187 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/mpn187.php");
    include("install/mpn188.php");
}

/*** This function calls the upgrade from mpn 1.8.8b2 ***/
function do_upgrade188 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/mpn188.php");
}

/*** This function calls the upgrade from Nuke CZ 1.0 ***/
function do_upgrade10 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn10.php");
}

/*** This function calls the upgrade from PHP-Nuke 4.4 ***/
function do_upgrade4 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn4.php");
}

/*** This function calls the upgrade from PHP-Nuke 5.2 ***/
function do_upgrade52 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/phpnuke52.php");
}

/*** This function calls the upgrade from PHP-Nuke 5.3 ***/
function do_upgrade53 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/phpnuke53.php");
}

/*** This function calls the upgrade from PHP-Nuke 5 / PostNuke .5 ***/
function do_upgrade5 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn5.php");
}

/*** This function calls the upgrade from PostNuke .60 / .61 ***/
function do_upgrade6 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn6.php");
}

/*** This function calls the upgrade from PostNuke .62 ***/
function do_upgrade62 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn62.php");
}

/*** This function calls the upgrade from PostNuke .63 ***/
function do_upgrade63 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn63.php");
}

/*** This function calls the upgrade from PostNuke .64 ***/
function do_upgrade64 ($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include("install/pn64.php");
    update_config_php(true); // Scott - added
}

/* Removed for Release.  Needs to be updated.

function tables_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include 'install/update_functions.php';
    include 'install/tables_update.php';
}

function sequence_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
        mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include 'install/update_functions.php';
    include 'install/sequence_update.php';
}

function language_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype)
{
    global $dbconn;
    mysql_connect($dbhost, $dbuname, $dbpass);
    mysql_select_db("$dbname") or die ("<br><font class=\"post-failed\">Nemohu se spojit s databz.</font>");
    include 'install/update_functions.php';
    include 'install/language_update.php';
}

*/

/*** This function prints the "This is your setting" area ***/
function print_form_text($border=0)
{
    global $dbhost,$dbuname,$dbpass,$dbname,$prefix,$dbtype;
?>
    <table border=<?php echo $border?>>
            <tr><td align="left"><font class="post-normal">DB stroj</font></td>
            <td><font class="post-normal"><?php echo $dbhost;?></font></td></tr>
            <tr><td align="left"><font class="post-normal">Uivatelsk jmnu</font></td>
            <td><font class="post-normal"><?php echo $dbuname;?></font></td></tr>
            <tr><td align="left"><font class="post-normal">Heslo</font></td>
            <td><font class="post-normal"><?php echo $dbpass;?></font></td></tr>
            <tr><td align="left"><font class="post-normal">Jmno databze</font></td>
            <td><font class="post-normal"><?php echo $dbname;?></font></td></tr>
            <tr><td align="left"><font class="post-normal">Prefix tabulek</font></td>
            <td><font class="post-normal"><?php echo $prefix;?></font></td></tr>
            <tr><td align="left"><font class="post-normal">Type databze</font></td>
            <td><font class="post-normal"><?php echo $dbtype;?></font></td></tr>
    </table>
<?php
};

function print_form_editabletext($border=0)
{
    global $dbhost,$dbuname,$dbpass,$dbname,$prefix,$dbtype;

   if (!isset($dbhost)) {
    include('config.php');
    echo "Peten data z config.php";
   };

?>
    <table border=<?php echo $border?>>
            <tr><td align="left"><font class="post-normal">DB stroj</font></td>
            <td><input type="text" NAME="dbhost" SIZE=30 maxlength=80 value="<?php echo $dbhost;?>"></td></tr>
            <tr><td align="left"><font class="post-normal">Uivatelsk jmno</font></td>
            <td><input type="text" NAME="dbuname" SIZE=30 maxlength=80 value=""></td></tr>
            <tr><td align="left"><font class="post-normal">Heslo</font></td>
            <td><input type="text" NAME="dbpass" SIZE=30 maxlength=80 value=""></td></tr>
            <tr><td align="left"><font class="post-normal">Jmno databze</font></td>
            <td><input type="text" NAME="dbname" SIZE=30 maxlength=80 value="<?php echo $dbname;?>"></td></tr>
            <tr><td align="left"><font class="post-normal">Prefix tabulek</font></td>
            <td><input type="text" NAME="prefix" SIZE=30 maxlength=80 value="<?php echo $prefix;?>"></td></tr>
            <tr><td align="left"><font class="post-normal">Typ databze</font></td>
            <td><select name="dbtype">
                    <option value="mysql">&nbsp;MySQL&nbsp;</option>
                </select>
            </td></tr>
    </table>
<?php
}

/*** This function prints the <input type=hidden> area ***/
function print_form_hidden()
{
    global $dbhost,$dbuname,$dbpass,$dbname,$prefix,$dbtype;
?>
        <INPUT type="hidden" NAME="dbhost" value="<?php echo $dbhost;?>">
        <INPUT type="hidden" NAME="dbuname" value="<?php echo $dbuname;?>">
        <INPUT type="hidden" NAME="dbpass" value="<?php echo $dbpass;?>">
        <INPUT type="hidden" NAME="dbname" value="<?php echo $dbname;?>">
        <INPUT type="hidden" NAME="prefix" value="<?php echo $prefix;?>">
    <INPUT type="hidden" NAME="dbtype" value="<?php echo $dbtype;?>">
<?php
}


/*** 

*  This starts the switch statement that filters through the form options.

* the @ is in front of $op to suppress error messages if $op is unset and E_ALL

* is on

*/
switch(@$op) {

     case "CHM_check":
    ?>

    <font class="post-title">Zkladn informace</font><font class="post-normal"> -- Zadejte prosm vae data.  Pokud nemte rootovsk prva k databzi (virtuln hosting atd.), muste vytvoit databzi ped tmto procesem.  Dobrm prostedkem pro tuto operaci je phpMyAdmin.  Pokraujte dle v tomto scriptu, ponvad jeho pomoc budou vloeny do databze data.<br><br>
    <form action="install.php" method="post">
        <center>
    <?php print_form_editabletext(0) ?>
        <INPUT type="submit" name="op" value="Odeslat">
        </center>
    </form>
    </font>

<?php
    break;

    case "Odeslat":
?>

    <font class="post-title">Informace o databzi</font><font class="post-normal"> -- Prohldnte jet jednou tyto informace a ujistte se, e jsou sprvn.</font><br><br>
    <center>
    <font class="post-normal">Mte zadny tyto informace:</font><br>

<?php print_form_text() ?>

    </font>
    <form action="install.php" method="post">
        <INPUT type="submit" name="op" value="Zmnit informace"><br>

    <font class="post-normal">Vyberte <b>novou instalaci</b> nebo <b>upgrade</b> pro dal krok.</font><br><br>
        <table width="50%">
            <tr align="center">
            <td>
            <?php print_form_hidden() ?>

                <INPUT type="submit" name="op" value="Nov instalace">
            </td>
            <td>
                <INPUT type="submit" name="op" value="Upgrade">
            </td>
            </tr>
        </table>
        </form>
    </center>
        
<?php
    break;

    case "Zmnit informace":
    ?>

    <font class="post-title">Zmna informac</font><font class="post-normal"> -- opravte, prosm, potebn data.<br><br>
    <form action="install.php" method="post">
        <center>
    <?php print_form_editabletext(0)?>
        <INPUT type="submit" name="op" value="Odeslat">
        </center>
    </form>
    </font>

<?php
    break;

    case "Nov instalace":
    ?>

    <font class="post-title">Nov instalace</font><font class="post-normal"> -- Vybral jste proveden nov instalace.  Zde jsou vmi zadan informace.</font><br><br>
    <center>
    <?php print_form_text(0) ?>
    <br><br>
    <font class="post-normal">
    Pokud mte prva roota, Zatrhnte box Vytvoit DB - v opanm ppad kliknte na Start.<br>
    Pokud je nemte, muste ji vytvoit run a tento script vm do n vlo tabulky a data.
    <form action="install.php" method="post">
        <table width="50%">
            <tr>
            <td align=center>
                Vytvoit DB<br>
                <input type=checkbox name="dbmake"><br>
            </td>
            <td>
            <?php print_form_hidden() ?>
                <INPUT type="submit" name="op" value="Start">
            </td>
            </tr>
        </table>
    </form>
    </font>
    </center>

<?php
    break;
    
    case "Start":
    make_db($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $dbmake);
    ?>

     <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
            <tr>
            <td align=center>
<?php print_form_hidden() ?>
                <INPUT type="submit" name="op" value="Pokraovn">
            </td>
            </tr>
        </table>
        </center>
    </form>

<?php
    break;

    case "Pokraovn":
?>
    
    <font class="post-title">Nastaven DB</font>
    <font class="post-normal"> -- Zde mete zadat zkladn data.  Mete to udlat hned nebo pozdji.  Pokud to neudlte hned budou vae pstupov data do admin sekce God / Password (Vchoz nastaven).</font><br><br>
    <center>
    <form action="install.php" method="post">
        <table width="50%" border=1>
            <tr><td align="left"><font class="post-normal">Admin jmno</font></td>
            <td><input type="text" NAME="aid" SIZE=30 maxlength=80 value="God"></td></tr>
            <tr><td align="left"><font class="post-normal">Vae jmno</font></td>
            <td><input type="text" NAME="name" SIZE=30 maxlength=80 value="God"></td></tr>
            <tr><td align="left"><font class="post-normal">Admin heslo</font></td>
            <td><input type="text" NAME="pwd" SIZE=30 maxlength=80 value="Password"></td></tr>
            <tr><td align="left"><font class="post-normal">V e-mail</font></td>
            <td><input type="text" NAME="email" SIZE=30 maxlength=80 value="none@none.com"></td></tr>
            <tr><td align="left"><font class="post-normal">Vae URL</font></td>
            <td>
                <input type="text" NAME="url" SIZE=30 maxlength=80 value="http://www.owebu.net"></td></tr>
<?php   print_form_hidden() ?>
            </td>
            </tr>
        </table>
        <br><br>
        <INPUT type="submit" name="op" value="Nastavit">
    </form>
    </font>
    </center>
    
<?php
    break;

    Case "Nastavit":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    input_data($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype, $aid, $name, $pwd, $email, $url);
    update_config_php(true); // Scott - added
?>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
            <td align=center>
                <INPUT type="submit" name="op" value="Dokonit">
            </td>
            </tr>
        </table>
        </center>
    </form>

<?php
    break;

    Case "Dokonit":
?>

    <font class="post-title">Podkovn</font>
    <font class="post-normal"> -- Zde jsou uveden lid, kte pracuj na tomto softwaru. Pokud zde chcete bt tak uvedeni, kontaktujte ns a pidejte se k vvojskmu tmu. Vdy pivtme njakou pomoc.<br><br>
    <form action="install.php" method="post">
         <center>
        <textarea name="license" cols=50 rows=8><?php include("docs/CREDITS.txt"); ?></textarea><br><br>
        Nyn jste skonili vai instalaci.  Pokud budete mt njak problmy, dejte nm vdt.  A nyn mete tento script smazat - u ho nebudete potebovat<br><b>Me se stt</b>, e vm bude systm po pechodu na vodn strnku oznamovat BAD COOKIES, pokud se to stane, dejte obnovit(reload) strnku a ve bude OK</form>
    </font>
    <br><br>
    <center>
        <B><A HREF="index.php">Jdte na vodn strnku vaeho webu</A></B>
    </center>
    <br><br>

<?php
    break;

    Case "Upgrade":
?>
    <font class="post-title">Upgrady</font>
    <font class="post-normal"> -- Zde si vyberte, z kterho CMS chcete upgradovat.<br><br>
    <center>
    Vyberte <b>PHP-Nuke</b> pro upgrade existujc Nuke CZ instalace.<br>
    Vyberte <b>PHP-Nuke</b> pro upgrade existujc PHP-Nuke instalace.<br>
    Vyberte <b>PostNuke</b> pro upgrade existujc PostNuke instalace.<br>
    Vyberte <b>MyPHPNuke</b> pro upgrade existujc MyPHPNuke instalace.<br><br>
    <form action="install.php" method="post">
        <table width="50%">
            <tr align="center">
            <td>
        <?php print_form_hidden() ?>
                <INPUT type="submit" name="op" value="PHP-Nuke">
            </td>
            <td>
                <INPUT type="submit" name="op" value="Post-Nuke">
            </td>
            <td>
                <INPUT type="submit" name="op" value="MyPHPNuke"?
            </td>
            </tr>
        </table>
        </form>
    </center>
    </font>
    
<?php
    break;

    Case "PHP-Nuke":
?>

    <font class="post-title">Upgradujete z PHP-Nuke 4.4 nebo z NUKE CZ?</font>
    <font class="post-normal">Pette si prosm nsledujc informace ne stisknete tlatko <b>Upgrade 4</b> .<br><br>
    Tento script zanech nedoten vae data z diskusnho fra.</i><br><br>

    Diskusn frum nen soust tto distribuce. Budete mt monost sthnout si tento modul i s upgradovacm scriptem z Download Centra naeho webu. Vae star data zstanou zachovna.<br><br>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 4">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Upgrade z Nuke CZ?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade CZ</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade CZ">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>
    
    <font class="post-title">Upgrade z PHP-Nuke 5?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 5</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 5">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Upgrade z PHP-Nuke 5.2?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 52</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 52">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Upgrade z PHP-Nuke 5.3?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 53</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 53">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>
    
<?php
    break;

    Case "Post-Nuke":
?>

    <font class="post-title">Upgrade z PostNuke .5x?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 5</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 5">
        </td>
        </tr>
        </table>
        </center>
        </form>
        
    </font>

    <font class="post-title">Upgrade z PostNuke .6 / .61?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 6</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="submit" name="op" value="Upgrade 6">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>
        
    <font class="post-title">Upgrade z PostNuke .62?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 62</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden(); ?>
        <INPUT type="submit" name="op" value="Upgrade 62">
        </td>
        </tr>
        </table>
        </center>
        </form>
        
    </font>
    
    <font class="post-title">Upgrade z PostNuke .63?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 63</b><br>
    

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden(); ?>
        <INPUT type="submit" name="op" value="Upgrade 63">
        </td>
        </tr>
        </table>
        </center>
        </form>

    </font>
    <font class="post-title">Upgrade z PostNuke .64?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 64</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden(); ?>
        <INPUT type="submit" name="op" value="Upgrade 64">
        </td>
        </tr>
        </table>
        </center>
        </form>
<!-- Removed for release.  Needs to be updated. 
    <br><br>
    <font class="post-title">Validate Tables</font>
     <font class="post-normal">This script will double check the table structure of your PostNuke Database.  Just run all portions of the script to ensure that your DB is installed correctly.  This is mainly used to keep CVS installs up to date.  <b>WARNING</b> -- This is experimental in nature, and should only be used in either debugging situations or for developers working on CVS.</font><br><br>
    
    <font class="post-title">Validate your language system?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Validate</b> 

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden(); ?>
    <INPUT type="hidden" name="op" value="Validate Language">
        <INPUT type="submit" value="Validate">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Validate your table structure?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Validate</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="hidden" name="op" value="Validate Tables">
        <INPUT type="submit" value="Validate">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Validate your Sequence Tables?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Validate</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
    <?php print_form_hidden() ?>
        <INPUT type="hidden" NAME="op" value="Validate Sequence Tables">
        <INPUT type="submit" value="Validate">
        </td>
        </tr>
        </table>
        </center>
        </form>
-->        
    </font>

<?php
    break;

    Case "MyPHPNuke":
?>

    <font class="post-title">Upgrade z MyPHPNuke 1.8.7?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 187</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
        <INPUT type="hidden" NAME="dbhost" value="<?php echo $dbhost;?>">
        <INPUT type="hidden" NAME="dbuname" value="<?php echo $dbuname;?>">
        <INPUT type="hidden" NAME="dbpass" value="<?php echo $dbpass;?>">
        <INPUT type="hidden" NAME="dbname" value="<?php echo $dbname;?>">
        <INPUT type="hidden" NAME="prefix" value="<?php echo $prefix;?>">
        <INPUT type="submit" name="op" value="Upgrade 187">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>

    <font class="post-title">Upgrade z MyPHPNuke 1.8.8b2?</font> 
    <font class="post-normal">Kliknte na tlatko <b>Upgrade 188</b>

        <form action="install.php" method="post">
        <center>
        <table width="50%" align=center>
        <tr>
        <td align=center>
        <INPUT type="hidden" NAME="dbhost" value="<?php echo $dbhost;?>">
        <INPUT type="hidden" NAME="dbuname" value="<?php echo $dbuname;?>">
        <INPUT type="hidden" NAME="dbpass" value="<?php echo $dbpass;?>">
        <INPUT type="hidden" NAME="dbname" value="<?php echo $dbname;?>">
        <INPUT type="hidden" NAME="prefix" value="<?php echo $prefix;?>">
        <INPUT type="submit" name="op" value="Upgrade 188">
        </td>
        </tr>
        </table>
        </center>
        </form>
    
    </font>
    
<?php
    break;
/* Removed for release.  Needs to be updated 

    Case "Validate Language":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    language_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    break;

    Case "Validate Tables":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    tables_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    break;

    Case "Validate Sequence Tables":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    sequence_update($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    break;

*/

    Case "Upgrade 187":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade187($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>

<?php

    Case "Upgrade 188":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade188($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>


<?php


    Case "Upgrade 4":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade4($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade5($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    Vae tabulky pro diskusn frum nebyly doteny.<br><br>
    Jsou to tyto tabulky:<br><br>
    <ul>
    <strong><big></big></strong>access<br>
    <strong><big></big></strong>catagories<br>
    <strong><big></big></strong>config<br>
    <strong><big></big></strong>forums<br>
    <strong><big></big></strong>forumstopics<br>
    <strong><big></big></strong>posts<br>
    <strong><big></big></strong>ranks<br>
    <strong><big></big></strong>user_status
    </ul>
    Pokud nebudete dle chtt provozovat toto frum, mete je smazat.<br>
    phpBB bude nyn ke staen jako modul na http://www.owebu.net<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
    
    <?php
    break;
   
    Case "Upgrade CZ":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade52($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade5($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade je kompletn.<br>
    Nezapomte zkontrolovat config.php ped prvnm pouitm<br><br>
    Vae tabulky pro diskusn frum zstaly nedoteny.<br><br>
    Jsou to tyto tabulky:<br><br>
    <ul>
    <strong><big></big></strong>access<br>
    <strong><big></big></strong>catagories<br>
    <strong><big></big></strong>config<br>
    <strong><big></big></strong>forums<br>
    <strong><big></big></strong>forumstopics<br>
    <strong><big></big></strong>posts<br>
    <strong><big></big></strong>ranks<br>
    <strong><big></big></strong>user_status
    </ul>
    Pokud nebudete chtt provozovat diskusn frum, mete je smazat.<br>
    phpBB bude nyn ke staen jako modul na http://www.owebu.net<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
    
    
<?php
    break;

    Case "Upgrade 5":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade5($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>

<?php
    break;

    Case "Upgrade 52":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade52($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade5($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>    

<?php
    break;

    Case "Upgrade 53":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade53($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade52($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade5($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>    

<?php
    break;

    Case "Upgrade 6":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade6($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
    
<?php
    break;

    Case "Upgrade 62":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade62($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
    
<?php
    break;

    Case "Upgrade 63":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade63($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
    
<?php
    break;

    Case "Upgrade 64":
    $dbconn = dbconnect($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade64($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    do_upgrade10($dbhost, $dbuname, $dbpass, $dbname, $prefix, $dbtype);
    
?>

    <font class="post-title">Dokoneno</font>
    <font class="post-normal"> -- V upgrade byl dokonen.<br>
    Provete zmny ve vaem config.php.<br><br>
    <form action="install.php" method="post">
        <center>
        <table width="50%">
            <tr>
                <td align=center><INPUT type="submit" name="op" value="Dokonit"></td>
            </tr>
        </table>
        </center>
    </form>
    </font>
    <br><br>
<?php    
    break;

    default:
?>
    <font class="post-normal">Tento script vm nainstaluje NUke CZ databzi a pome nastavit vechno potebn pro zatek.  Provede za vs zkladn nastaven.  Pedpokldme, e tento proces nebude trvat dle ne deset minut.  Pokud budete mt njak problm, navtivte nae diskusn frum.</font><br><br>
    <font class="post-title">Licence</font>
    <font class="post-normal"> -- Pette si GNU General Public License.  Nuke Cz je vyvjen jako svobodn software.<br><br>
    <form action="install.php" method="post">
         <center>
           <textarea name="license" cols=50 rows=8><?php include("docs/COPYING.txt"); ?></textarea><br><br>
           <INPUT type="submit" name="op" value="Dal krok">
           </center>
    </form>
    </font>
    <br><br>

<?php
    break;

    case "Dal krok":

    $file='config.php';

    $mode = fileperms($file);
    $mode &= 0x1ff; # Remove the bits we don't need

    $chmod = sprintf("%o", $mode);

    echo "<font class=\"post-title\">CHMOD (Nastaven prv k souborm)</font><BR><BR>";

    echo "<font class=\"post-normal\">Nejdve zkontrolujeme, zda mte povolen zpis do soubor.  Pokud vae nastaven nen sprvn, script nebude schopen zapsat ifrovan data do konfiguranho souboru.  ifrovan data jsou vkldna bezpen a provd to tento script.  Nebudete tak moct nastavit administran data waeho webu.</font><br><br>"; 

    if ($chmod == '666'){
      echo "<P><font class=\"post-title\">CHMOD nastaven config.php je 666 -- sprvn, script me do souboru zapisovat</font><BR>";
    } else {
            echo "<font class=\"post-title\">Nastavte CHMOD pro config.php na 666 aby script mohl sprvn zapsat ifrovan data</font><BR>";
    }

$file='config-old.php';

    $mode = fileperms($file);
    $mode &= 0x1ff; # Remove the bits we don't need

    $chmod = sprintf("%o", $mode);

    if ($chmod == '666'){
      echo "<P><font class=\"post-title\">CHMOD nastaven config-old.php je 666 -- sprvn, script me do souboru zapisovat</font></P>"
              ."<P><form action=\"install.php\" method=\"post\">"
                ."<center>";
                    echo "<INPUT type=\"hidden\" name=\"op\" value=\"CHM_check\">"    
                    ."<INPUT type=\"submit\" value=\"Pokraovat\">"
                ."</center>"
            ."</form></P>";
    } else {
            echo "<font class=\"post-title\">Nastavte CHMOD pro config-old.php ns 666 aby script mohl sprvn zapsat ifrovan data</font>"
                ."<P><form action=\"install.php\" method=\"post\">"
                ."<center>";
                    echo "<INPUT type=\"hidden\" name=\"op\" value=\"Next\">"    
                    ."<INPUT type=\"submit\" value=\"Znovu zkontrolovat\">"
                ."</center>"
            ."</form></P>";
    }
        break;
}
?>

    <center><font class="post-sub">Dkujeme, e zkoute Nuke CZ a vtejte ve spolenosti uivatel.</font></center>
</body>
</html>