<?php
// File: $Id: dl-viewdownload.php,v 1.4 2001/12/12 17:07:03 jgm Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file:
// ----------------------------------------------------------------------

/**
 * viewdownload
 */
function viewdownload($cid, $min, $orderby, $show) {
    global $admin, $perpage, $pntable, $ModName;
    global $datetime, $transferfile, $dbconn, $modurl, $locale;
    include("header.php");

    //Add ACATS
    //$cattitle = downloads_CatNameFromCID($cid);
    //if (!authorised(0, 'Downloads::Category', "$cattitle::$cid", ACCESS_READ)) {
    //    echo _DOWNLOADSACCESSNOAUTH;
    //    include 'footer.php';
    //    return;
    //}


    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = $pntable['downloads_downloads_column']['title'] . ' ASC';
    }
    if ($show!="") {
        $perpage = $show;
    } else {
        $show=$perpage;
    }
    menu(1);
    echo "<br>";
    OpenTable();
    $result=$dbconn->Execute("SELECT ".$pntable['downloads_categories_column']['title'].
                            " FROM ".$pntable['downloads_categories'].
                            " WHERE ".$pntable['downloads_categories_column']['cid']."=".$cid);

    list($title) = $result->fields;
    echo "<center><font class=\"pn-title\">"._CATEGORY.": $title</font></center><br>";
    $carrytitle = $title;
    $column = &$pntable['downloads_subcategories_column'];
    $subresult=$dbconn->Execute("SELECT $column[sid], $column[title]
                               FROM $pntable[downloads_subcategories]
                               WHERE $column[cid]=$cid");

    //Add ACATS
    $cattitle = downloads_CatNameFromCID($cid);
    if (!(authorised(0, 'Downloads::Category', $cattitle.'::'.$cid, ACCESS_READ))) {
	echo _DOWNLOADSACCESSNOAUTH."!";
        CloseTable();
	return;
	}

    if (!$subresult->EOF) {
        $scount = 0;
        echo "<center><font class=\"pn-normal\">"._DLALSOAVAILABLE." $title "._SUBCATEGORIES.":</font></center><br>"
        ."<table align=\"center\" border=\"0\"><tr>";

        $downloadscolumn = &$pntable['downloads_downloads_column'];
        $downloadstable = $pntable['downloads_downloads'];
        while(list($sid, $title) = $subresult->fields) {
            if (authorised(0, 'Downloads::Category', "$title::$sid", ACCESS_READ)) {
                $result2 = $dbconn->Execute("SELECT count(*)
                                             FROM $downloadstable
                                             WHERE $downloadscolumn[sid]=$sid");

                list($numrows) = $result2->fields;
                echo "<td><a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid\">$title</a> ($numrows)&nbsp;";
                subcategorynewdownloadgraphic($sid);
                echo "&nbsp;</td>";
                 $scount++;
                if ($scount==4) {
                    echo "</tr><tr>";
                    $scount = 0;
                }
            }
            $subresult->MoveNext();
        }
        for ($i=$scount; $i<4; $i++) {
            echo "<td>&nbsp;</td>";
        }
        echo "</tr></table>";
    }
    echo "<hr noshade size=\"1\">";
    $orderbyTrans = convertorderbytrans($orderby);
    echo "<center><font class=\"pn-normal\">"._SORTDOWNLOADSBY.": "
        .""._TITLE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=titleA\">A</a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=titleD\">D</a>) "
        .""._DATE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=dateA\">A</a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=dateD\">D</a>) "
        .""._RATING." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=ratingA\">A</a>\<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=ratingD\">D</a>) "
        .""._POPULARITY." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=hitsA\">A</a>\<a href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;orderby=hitsD\">D</a>)"
        ."<br>"._RESSORTED.":$orderbyTrans</font></center><br><br>";
    $column = &$pntable['downloads_downloads_column'];
    $sql = "SELECT $column[lid], $column[title],
                   $column[description], $column[date], $column[hits],
                   $column[downloadratingsummary], $column[totalvotes],
                   $column[totalcomments], $column[filesize],
                   $column[version], $column[homepage]
            FROM $pntable[downloads_downloads]
            WHERE $column[cid]=$cid
            AND $column[sid]=0 ORDER BY $orderby";

    $result=$dbconn->SelectLimit($sql,$perpage,$min);

    $fullcountresult=$dbconn->Execute("SELECT $column[lid], $column[title],
                                              $column[description], $column[date],
                                              $column[hits], $column[downloadratingsummary],
                                              $column[totalvotes], $column[totalcomments]
                                       FROM $pntable[downloads_downloads]
                                       WHERE $column[cid]=$cid AND $column[sid]=0");
    $totalselecteddownloads = $fullcountresult->PO_RecordCount();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td><font class=\"pn-normal\">";
    $x=0;
    while(list($lid, $title, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage)=$result->fields) {

        $result->MoveNext();

        if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_READ)) {
            $downloadratingsummary = number_format($downloadratingsummary, $mainvotedecimal);
            $title = stripslashes($title);
            $description = stripslashes($description);
            if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_EDIT)) {
                echo "<a class=\"pn-normal\" href=\"admin.php?module=$ModName&amp;op=DownloadsModDownload&amp;lid=$lid\"><img src=\"modules/$ModName/images/lwin.gif\" border=\"0\" alt=\""._EDIT."\"></a>&nbsp;&nbsp;";
            } else {
                echo "<img src=\"modules/$ModName/images/lwin.gif\" border=\"0\" alt=\"\">&nbsp;&nbsp;";
            }
            echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=getit&amp;lid=$lid\">$title</a>";
            newdownloadgraphic($datetime, $time);
            popgraphic($hits);
            /* INSERT code for *editor review* here */
            detecteditorial($lid, $transfertitle, 1);
            echo "<br>";
            echo "<font class=\"pn-normal\">"._DESCRIPTION.": $description</font><br>";
            setlocale (LC_TIME, $locale);
            ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
            $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
            $datetime = ucfirst($datetime);
            echo "<font class=\"pn-normal\">"._VERSION.": $version "._FILESIZE.": ".CoolSize($filesize)."</font><br>";
            echo "<font class=\"pn-normal\">"._ADDEDON.": $datetime "._UDOWNLOADS.": $hits</font>";
            $transfertitle = str_replace (" ", "_", $title);
            /* voting & comments stats */
            if ($totalvotes == 1) {
                $votestring = _VOTE;
            } else {
                $votestring = _VOTES;
            }
            if ($downloadratingsummary!="0" || $downloadratingsummary!="0.0") {
                echo " <font class=\"pn-normal\">"._RATING.": $downloadratingsummary ($totalvotes $votestring)</font>";
            }
            if ($homepage == "") {
                echo "<br>";
            } else {
                echo "<br><a class=\"pn-normal\" href=\"$homepage\" target=\"new\">"._HOMEPAGE."</a> | ";
            }
            if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_COMMENT)) {
                echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=ratedownload&amp;lid=$lid&amp;ttitle=$transfertitle\">"._RATERESOURCE."</a>";
                echo " | ";
            }
            echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=brokendownload&amp;lid=$lid\">"._REPORTBROKEN."</a>";
            echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloaddetails&amp;lid=$lid&amp;ttitle=$transfertitle\">"._DETAILS."</a>";
            if ($totalcomments != 0) {
                echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadcomments&amp;lid=$lid&amp;ttitle=$transfertitle\">"._COMMENTS." ($totalcomments)</a>";
            }
            detecteditorial($lid, $transfertitle, 0);
            echo "<br><br>";
            $x++;
        }
    }
    echo "</font>";
    $orderby = convertorderbyout($orderby);
    /* Calculates how many pages exist. Which page one should be on, etc... */
    $downloadpagesint = ($totalselecteddownloads / $perpage);
    $downloadpageremainder = ($totalselecteddownloads % $perpage);
    if ($downloadpageremainder != 0) {
        $downloadpages = ceil($downloadpagesint);
        if ($totalselecteddownloads < $perpage) {
            $downloadpageremainder = 0;
        }
    } else {
        $downloadpages = $downloadpagesint;
    }
    /* Page Numbering */
    if ($downloadpages!=1 && $downloadpages!=0) {
        echo "<br><br>";
        echo "<font class=\"pn-normal\">"._SELECTPAGE.":</font> ";
        $prev=$min-$perpage;
        if ($prev>=0) {
            echo "&nbsp;&nbsp;[ <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;min=$prev&amp;orderby=$orderby&amp;show=$show\">";
            echo " &lt;&lt; "._PREVIOUS."</a> ] ";
        }
        $counter = 1;
        $currentpage = ($max / $perpage);
        while ($counter<=$downloadpages ) {
            $cpage = $counter;
            $mintemp = ($perpage * $counter) - $perpage;
            if ($counter == $currentpage) {
                echo "<font class=\"pn-normal\">$counter</font>&nbsp";
            } else {
                echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;min=$mintemp&amp;orderby=$orderby&amp;show=$show\">$counter</a> ";
            }
            $counter++;
        }
        $next=$min+$perpage;
        if ($x>=$perpage) {
            echo "&nbsp;&nbsp;[ <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid&amp;min=$max&amp;orderby=$orderby&amp;show=$show\">";
            echo " "._NEXT." &gt;&gt;</a> ] ";
        }
    }
    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}

function viewsdownload($sid, $min, $orderby, $show) {
    global $admin, $ModName, $pntable, $dbconn, $modurl;
    include(WHERE_IS_PERSO."config.php");
    include("header.php");
    menu(1);

    $cattitle = downloads_CatNameFromCID($sid);
    if (!authorised(0, 'Downloads::Category', "$cattitle::$sid", ACCESS_READ)) {
        echo _DOWNLOADSACCESSNOAUTH;
        include 'footer.php';
        return;
    }

    if (!isset($min)) $min=0;
    if (!isset($max)) $max=$min+$perpage;
    if(isset($orderby)) {
        $orderby = convertorderbyin($orderby);
    } else {
        $orderby = "title ASC";
    }
    if ($show != "") {
        $perpage = $show;
    } else {
        $show = $perpage;
    }
    echo "<br>";
    OpenTable();

    $column = &$pntable['downloads_subcategories_column'];
    $result = $dbconn->Execute("SELECT $column[cid], $column[title]
                              FROM $pntable[downloads_subcategories]
                              WHERE $column[sid]=$sid");
    list($cid, $stitle) = $result->fields;

    $column = &$pntable['downloads_categories_column'];
    $result2 = $dbconn->Execute("SELECT $column[cid], $column[title]
                               FROM $pntable[downloads_categories]
                               WHERE $column[cid]=$cid");
    list($cid, $title) = $result2->fields;

    echo "<center><font class=\"pn-title\"><a class=\"pn-normal\" href=\"$modurl\">"._MAIN."</a> / <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownload&amp;cid=$cid\">$title</a> / $stitle</center></font>";
    $orderbyTrans = convertorderbytrans($orderby);
    echo "<br><center><font class=\"pn-normal\">"._SORTDOWNLOADSBY.": "
    .""._TITLE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=titleA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=titleD\">D</a>)"
    ." "._DATE." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=dateA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=dateD\">D</a>)"
    ." "._RATING." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=ratingA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=ratingD\">D</a>)"
    ." "._POPULARITY." (<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=hitsA\">A</a>\<a href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;orderby=hitsD\">D</a>)"
    ."<br>"._RESSORTED.": $orderbyTrans</center></font><br><br>";

    $column = &$pntable['downloads_downloads_column'];
    $sql = "SELECT $column[lid], $column[url], $column[title],
                   $column[description], $column[date], $column[hits],
                   $column[downloadratingsummary], $column[totalvotes],
                   $column[totalcomments], $column[filesize],
                   $column[version], $column[homepage]
            FROM $pntable[downloads_downloads]
            WHERE $column[sid]=$sid
            ORDER BY $orderby";

    $result=$dbconn->SelectLimit($sql,$perpage,$min);
//
// Temporary Fixed       eugeniobaldi 01/07/11
//                            ORDER BY  {$column[$orderby]} LIMIT $min,$perpage");
    $fullcountresult=$dbconn->Execute("SELECT $column[lid], $column[title],
                                              $column[description], $column[date],
                                              $column[hits], $column[downloadratingsummary],
                                              $column[totalvotes], $column[totalcomments]
                                       FROM $pntable[downloads_downloads]
                                       WHERE $column[sid]=$sid");

    $totalselecteddownloads = $fullcountresult->PO_RecordCount();
    echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" border=\"0\"><tr><td><font class=\"pn-normal\">";
    $x=0;
    while(list($lid, $url, $title, $description, $time, $hits, $downloadratingsummary, $totalvotes, $totalcomments, $filesize, $version, $homepage) = $result->fields) {

//jgm
        $result->MoveNext();

        if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_READ)) {
            $downloadratingsummary = number_format($downloadratingsummary, $mainvotedecimal);
            $title = stripslashes($title); $description = stripslashes($description);
            if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_EDIT)) {
                echo "<a class=\"pn-normal\" href=\"admin.php?module=$ModName&amp;op=DownloadsModDownload&amp;lid=$lid\"><img src=\"modules/$ModName/images/lwin.gif\" border=\"0\" alt=\""._EDIT."\"></a>&nbsp;&nbsp;";
            } else {
                echo "<img src=\"modules/$ModName/images/lwin.gif\" border=\"0\" alt=\"\">&nbsp;&nbsp;";
            }
            echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=getit&amp;lid=$lid\">$title</a>";
            newdownloadgraphic($datetime, $time);
            popgraphic($hits);
            /* code for *editor review* insert here */
            detecteditorial($lid, $transfertitle, 1);
            echo "<br><font class=\"pn-normal\">"._DESCRIPTION.": $description</font><br>";
            setlocale ("LC_TIME", "$locale");
            ereg ("([0-9]{4})-([0-9]{1,2})-([0-9]{1,2}) ([0-9]{1,2}):([0-9]{1,2}):([0-9]{1,2})", $time, $datetime);
            $datetime = ml_ftime(""._LINKSDATESTRING."", mktime($datetime[4],$datetime[5],$datetime[6],$datetime[2],$datetime[3],$datetime[1]));
            $datetime = ucfirst($datetime);
            echo "<font class=\"pn-normal\">"._VERSION.": $version "._FILESIZE.": ".CoolSize($filesize)."</font><br>";
            echo "<font class=\"pn-normal\">"._ADDEDON.": $datetime "._UDOWNLOADS.": $hits</font>";
            $transfertitle = str_replace (" ", "_", $title);
            /* voting & comments stats */
            if ($totalvotes == 1) {
                $votestring = _VOTE;
            } else {
                $votestring = _VOTES;
            }
            if ($downloadratingsummary!="0" || $downloadratingsummary!="0.0") {
                echo " <font class=\"pn-normal\">"._RATING.": $downloadratingsummary ($totalvotes $votestring)</font>";
            }
            if ($homepage == "") {
                echo "<br>";
            } else {
                echo "<br><a class=\"pn-normal\" href=\"$homepage\" target=\"new\">"._HOMEPAGE."</a> | ";
            }
            if (authorised(0, 'Downloads::Item', "$title:$cattitle:$lid", ACCESS_COMMENT)) {
                echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=ratedownload&amp;lid=$lid&amp;ttitle=$transfertitle\">"._RATERESOURCE."</a>";
                echo " | ";
            }
            echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloaddetails&amp;lid=$lid&amp;ttitle=$transfertitle\">"._DETAILS."</a>";
            if ($totalcomments != 0) {
                echo " | <a class=\"pn-normal\" href=\"$modurl&amp;req=viewdownloadcomments&amp;lid=$lid&amp;ttitle=$transfertitle\">"._COMMENTS." ($totalcomments)</a>";
            }
            detecteditorial($lid, $transfertitle, 0);
            echo "<br><br>";
            $x++;
        }
    }
    echo "</font>";
    $orderby = convertorderbyout($orderby);
    /* Calculates how many pages exist.  Which page one should be on, etc... */
    $downloadpagesint = ($totalselecteddownloads / $perpage);
    $downloadpageremainder = ($totalselecteddownloads % $perpage);
    if ($downloadpageremainder != 0) {
        $downloadpages = ceil($downloadpagesint);
        if ($totalselecteddownloads < $perpage) {
            $downloadpageremainder = 0;
        }
    } else {
        $downloadpages = $downloadpagesint;
    }
    /* Page Numbering */
    if ($downloadpages!=1 && $downloadpages!=0) {
        echo "<br><br>"
        ."<font class=\"pn-normal\">"._SELECTPAGE.":</font> ";
        $prev=$min-$perpage;
        if ($prev>=0) {
            echo "&nbsp;&nbsp;[ <a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;min=$prev&amp;orderby=$orderby&amp;show=$show\">"
            ." &lt;&lt; "._PREVIOUS."</a> ] ";
        }
        $counter = 1;
        $currentpage = ($max / $perpage);
        while ($counter<=$downloadpages ) {
            $cpage = $counter;
            $mintemp = ($perpage * $counter) - $perpage;
            if ($counter == $currentpage) {
                echo "<font class=\"pn-normal\">$counter</font>&nbsp";
            } else {
                echo "<a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;min=$mintemp&amp;orderby=$orderby&amp;show=$show\">$counter</a> ";
            }
            $counter++;
        }
        $next=$min+$perpage;
        if ($x>=$perpage) {
            echo "&nbsp;&nbsp;[ <a class=\"pn-normal\" href=\"$modurl&amp;req=viewsdownload&amp;sid=$sid&amp;min=$max&amp;orderby=$orderby&amp;show=$show\">"
            ." "._NEXT." &gt;&gt;</a> ] ";
        }
    }
    echo "</td></tr></table>";
    CloseTable();
    include("footer.php");
}

?>