<?php
// File: $Id: adminfaq.php,v 1.6 2001/09/18 22:22:21 adam_baum Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Richard Tirtadji <rtirtadji@hotmail.com>,
// Purpose of file: Glossary system, NukeAdd-On http://nukeaddon.com/
// ----------------------------------------------------------------------


if (!eregi("admin.php", $PHP_SELF)) { die ("Access Denied"); }

// Additional pntables.php was added
include("modules/$ModName/pntables.php");

modules_get_language();


// ----------------------------------------------------------------------
// Glossary Admin Function                                    
// ----------------------------------------------------------------------
function GlossaryAdmin() 
{
	global $hlpfile, $admin;
	include(WHERE_IS_PERSO."config.php");
	$hlpfile = "manual/$language/glossary.html";
	include ("header.php");
	// Add AWE
	include("modules/NS-Aweditor/editor.php");

	GraphicAdmin($hlpfile);

    if (authorised(0, 'Glossary::', '::', ACCESS_ADD)) {
		OpenTable();
		echo "</center><font size=4><b>"._GLOADD."</b><br><br>
		<font size=2>
";
		// Add AWE
		echo "<form name=\"glossary\" action=\"admin.php\" method=\"post\" onsubmit=\"DoSubmit()\">
";
		subawe("glossary","gdefinition");

	echo "<table border=0 width=\"100%\"><tr><td>
    	"._GLOTERMS." </td><td><input type=\"text\" name=\"gterm\" size=\"30\"></td></tr><tr><td>
    	"._GLODEF." </td><td>";
	// Add AWE
	prepawe("gdefinition",_GLMENU1,_GLMENU2,_GLMENU3,"glossary","","120","60","5");

	echo "</td></tr>
    	</table>
    	<input type=\"hidden\" name=\"op\" value=\"GlossaryAdd\">
";
	echo "
<input type=submit value=\""._ADD."\">
	</form>";
	CloseTable();
	}
	if (authorised(0, 'Glossary::', '::', ACCESS_EDIT)) {
		echo "<br>";
		OpenTable();
		echo "<div align=\"center\"><a href =\"admin.php?op=GlossaryDisplay&page=1\">"._GLOMODIFY."</a></font></div>";
		CloseTable();
		}
		include("footer.php");
}

function GlossaryAdd($gterm, $gdefinition) 
{
	global $pntable, $dbconn;
		
	if (!(authorised(0, 'Glossary::', "::", ACCESS_ADD))) {
	    include 'header.php';
    	echo _GLOADDNOAUTH;
        include 'footer.php';
        return;
    }
		
	    $column = &$pntable['glossary_column'];
        $dbconn->Execute("INSERT INTO $pntable[glossary] 
                        ($column[gterm], $column[gdefinition]) 
                        VALUES ('$gterm', '$gdefinition')");
		Header("Location: admin.php?op=GlossaryAdmin");
}

// function for displaying multiple Glossary
function GlossaryDisplay($page) 
{
    global $hlpfile, $admin, $keyword, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $pntable, $dbconn;
    include(WHERE_IS_PERSO."config.php");
    $hlpfile = "manual/$language/glossary.html";
    include ("header.php");
    GraphicAdmin($hlpfile);

    if (!(authorised(0, 'Glossary::', '::', ACCESS_READ))) {
        include 'header.php';
        echo _GLONOAUTH;
        include 'footer.php';
        return;
    }
    OpenTable();
   	$column = &$pntable['glossary_column'];	    
    $keyword2 = ereg_replace(" ", "%", $keyword);
    $whereclause = "WHERE $column[gterm] OR $column[gdefinition] LIKE \"%".$keyword2."%\"";
    if ($keyword == "") $whereclause = "";
   	$result = $dbconn->Execute("SELECT COUNT(*) FROM $pntable[glossary] $whereclause");
		//ADODBtag list+row
    	list($numrecords) = $result->fields;
	    $entriesperpage = 20;
	    $totalpages = ceil($numrecords / $entriesperpage);
	    if ($numrecords > 0) {
	    	echo "</center><font size=\"4\"><b>"._GLOMODIFY."</b></font><br><br>
			<table><tr><td>
			<form action=\"admin.php\" method=\"post\">
			"._GLOSFK." <input class=\"textbox\" type=\"text\" name=\"keyword\" size=\"31\" maxlength=\"128\" value=\"$keyword\">
			<input type=\"hidden\" name=\"page\" value=\"1\">
			<input type=\"hidden\" name=\"op\" value=\"GlossaryDisplay\">
			<input type=\"submit\" value=\""._SEARCH."\">
			</form></td><td><form action=\"admin.php\" method=\"post\">
			<input type=\"hidden\" name=\"page\" value=\"1\">
			<input type=\"hidden\" name=\"op\" value=\"GlossaryDisplay\">
			<input type=\"submit\" value=\""._GLORSEARCH."\">
			</form></td></tr></table>
	    	<font size=\"2\">
	    	<table border width=\"100%\">";
	    	echo "<tr bgcolor=\"$bgcolor4\"><td ><font class=\"pn-title\">" ._GLOID."</font></td><td><font class=\"pn-title\">" ._GLOTERMS."</font></td><td><font class=\"pn-title\">" ._GLODEF."</font></td><td><font class=\"pn-title\">" ._GLOACT."</font></td></tr>";
	    	$start = $entriesperpage * ($page - 1);

		    $column = &$pntable['glossary_column'];
		    $result=$dbconn->Execute("SELECT $column[gid], $column[gterm], $column[gdefinition]
        			                    FROM $pntable[glossary] $whereclause ORDER BY $column[gid] LIMIT $start, $entriesperpage");
			//ADODBtag MoveNext while+list+row
		    while(list($gid, $gterm, $gdefinition)=$result->fields) {
            	$result->MoveNext();
            	if (authorised(0, 'Glossary::', "::$gid", ACCESS_READ)) {
	    			echo "<tr><td bgcolor=\"$bgcolor4\"><font class=\"pn-normal\">".$gid."</font></td><td bgcolor=\"$bgcolor4\"><font class=\"pn-normal\">".$gterm."</font></td><td bgcolor=\"$bgcolor4\"><font class=\"pn-normal\"><p align=\"justify\">".$gdefinition."</p></font></td>";
	    			echo "<td bgcolor=\"$bgcolor4\"><font size=\"2\">";
	    		if (authorised(0, 'Glossary::', "::$gid", ACCESS_EDIT)) {
	    			echo "<a href=\"admin.php?op=GlossaryEdit&gid=$gid&page=$page\">" ._EDIT."</a>";
	    			if (authorised(0, 'Glossary::', "::$gid", ACCESS_DELETE)) {
	    				echo " | <a href=\"admin.php?op=GlossaryDelete&gid=$gid&page=$page\">" ._DELETE."</a></td>";
                    } else {
                        echo "</td>";
                    }
                } else {
                    echo "&nbsp;";
                }
            echo "</tr>";
	    	}
		}
	    echo "</table><br>";
	    if ($page > 1) {
	    	$prevpage = $page - 1;
	    } else {
	    	$prevpage = 0;
	    }
	    if ($page < $totalpages) {
	    	$nextpage = $page + 1;
	    } else {
	    	$nextpage = 0;
	    }
	    echo "<table border=0 width=\"100%\"><tr><td align=\"center\" width=\"33%\">";
	    if ($prevpage != 0) {
	    	echo "<a href=\"admin.php?op=GlossaryDisplay&page=$prevpage&keyword=$keyword\">" ._GLOPP."</a>";
	    } else {
	    	echo " ";
	    }
	    echo "</td><td align=\"center\" width=\"33%\">";
	    echo "<a href=\"admin.php?op=GlossaryAdmin\">" ._GLOBACK."</a>";
	    echo "</td><td align=\"center\" width=\"33%\">";
	    if ($nextpage !=0) {
	    	echo "<a href=\"admin.php?op=GlossaryDisplay&page=$nextpage&keyword=$keyword\">" ._GLONP."</a>";
	    } else {
	    	echo " ";
	    }
	    echo "</td></tr></table>";
	    } else {
	    	echo ""._GLON."";
	    }
    CloseTable();
    include("footer.php");
}

// function for deletion of Glossary
function GlossaryDelete($gid,$page) 
{
	global $hlpfile, $admin;
	include(WHERE_IS_PERSO."config.php");
	$hlpfile = "manual/$language/glossary.html";
	include ("header.php");
	GraphicAdmin($hlpfile);

    if (!(authorised(0, 'Glossary::', "::", ACCESS_DELETE))) {
        echo _GLODELNOAUTH;
        include 'footer.php';
        return;
    }

	OpenTable();
	echo "</center><font size=\"4\"><b>"._GLODEL."</b><br><br>";
	echo "<center>";
	echo "<font size=\"3\" color=\"Red\">";
	echo "<b>"._GLODEL."</b><br><br><font color=\"Black\">";
	echo "[ <a href=\"admin.php?op=GlossaryDeleteOk&gid=$gid&page=$page\">"._YES."</a> | <a href=\"admin.php?op=GlossaryDisplay&page=$page\">"._NO."</a> ]<br><br>";
	CloseTable();
	include("footer.php");
}

// function for confirmation for deletion of glossary
function GlossaryDeleteOk($gid,$page) 
{
    global $pntable, $dbconn;
    if (!(authorised(0, 'Glossary::', "::", ACCESS_DELETE))) {
        echo _GLODELNOAUTH;
        include 'footer.php';
        return;
    }
   	$result = $dbconn->Execute("DELETE FROM $pntable[glossary] 
                           		WHERE {$pntable[glossary_column][gid]}='$gid'");
    header("Location: admin.php?op=GlossaryDisplay&page=$page");
}

// function for editing of glossary
function GlossaryEdit($gid,$page) 
{
	global $hlpfile, $admin, $pntable, $dbconn;
	include(WHERE_IS_PERSO."config.php");
	$hlpfile = "manual/$language/glossary.html";
	include ("header.php");
	GraphicAdmin($hlpfile);
	// Add AWE
	include("modules/NS-Aweditor/editor.php");

    if (!(authorised(0, 'Glossary::', "::", ACCESS_EDIT))) {
        echo _GLOEDITNOAUTH;
        include 'footer.php';
        return;
    }
    $column = &$pntable['glossary_column'];
    $result = $dbconn->Execute("SELECT $column[gid], $column[gterm], $column[gdefinition]
                              FROM $pntable[glossary] 
                              WHERE $column[gid] = '$gid'");
	//ADODBtag list+row
   	list($gid,$gterm,$gdefinition) = $result->fields;
	OpenTable();
	echo "</center><font size=\"4\"><b>" ._GLOMODIFY."</b><br><br>
	<font size=\"2\">
";
	// Add AWE
	echo "<form name=\"glossary\" action=\"admin.php?op=GlossaryAdmin\" method=post onsubmit=\"DoSubmit()\">
";
	subawe("glossary","gdefinition");
	echo "<table border=\"0\" width=\"100%\"><tr><td>

   	"._GLOTERMS." </td><td><input type=\"text\" name=\"gterm\" size=\"30\" value=\"$gterm\"></td></tr><tr><td>
   	"._GLODEF." </td><td>";
	// Add AWE
	prepawe("gdefinition",_GLMENU1,_GLMENU2,_GLMENU3,"glossary",$gdefinition,"120","60","5");
	echo "</td></tr>
	</table>
	<input type=\"hidden\" name=\"op\" value=\"GlossarySave\">
	<input type=\"hidden\" name=\"page\" value=\"$page\">
	<input type=\"hidden\" name=\"gid\" value=\"$gid\">
";
	echo "<input type=\"submit\" value=\""._SAVE."\">
	</form>";
	CloseTable();
	include("footer.php");
}

// function for saving modified glossary
function GlossarySave($gid,$gterm,$gdefinition,$page) 
{
    global $pntable, $dbconn;
	    
	 if (!(authorised(0, 'Glossary::', "::", ACCESS_EDIT))) {
        include 'header.php';
        echo _GLOEDITNOAUTH;
        include 'footer.php';
        return;
    }
    $column = &$pntable['glossary_column'];
    $result = $dbconn->Execute("UPDATE $pntable[glossary] 
                              SET $column[gterm]='$gterm', $column[gdefinition]='$gdefinition'
                              WHERE $column[gid]='$gid'");
	    Header("Location: admin.php?op=GlossaryDisplay&page=$page");
}

if (!(authorised(0, 'Glossary::', '::', ACCESS_ADMIN))) {
    include 'header.php';
    echo _GLONOAUTH;
    include 'footer.php';
} else {
	switch($op) {
		case "GlossaryAdmin":
			GlossaryAdmin();
			break;

		case "GlossaryAdd":
            if (csssafe()) {
				GlossaryAdd($gterm,$gdefinition);
            }
			break;

		case "GlossarySave":
            if (csssafe()) {
				GlossarySave($gid, $gterm, $gdefinition, $page);
            }
			break;

		case "GlossaryDeleteOk":
            if (csssafe()) {
			    GlossaryDeleteOk($gid,$page);
            }
			break;

		case "GlossaryDelete":
			GlossaryDelete($gid,$page);
			break;

		case "GlossaryDisplay":
			GlossaryDisplay($page);
			break;

		case "GlossaryEdit":
				GlossaryEdit($gid, $page);
			break;
	}
}

?>