<?php // $Id: index.php,v 1.15 2001/10/06 23:41:54 besfred Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Richard Tirtadji
// Purpose of file: Glossary script for PostNuke
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }
     
include 'mainfile.php';


/* Post-Nuke Change -- niceguyeddie
Credits to Edgar Miller -- http://www.bosna.de/ from his post on PHP-Nuke ( http://phpnuke.org/article.php?sid=2010&mode=nested&order=0&thold=0 )
Further Credits go to Djordjevic Nebojsa (nesh) for the fix for the fix */

$ModName = basename( dirname( __FILE__ ) );

/* Now all we have to do is change the module name in the links through-out the script to $ModName and you should be able to change than name of the directory to whatever you want, and the links will change with it.  This is done for our non-english speaking friends, and idiots like me that just change the name of things to be "original" */


include ("modules/".$ModName."/config.php");
include ("modules/".$ModName."/pntables.php");
modules_get_language();

function GlossaryShow($sortby,$from) {
global $pntable, $dbconn, $show_glossary, $bgcolor2, $bgcolor1, $bgcolor3, $sitename, $ModName;
include("header.php");
	OpenTable();
	echo"<center><font class=\"pn-title\">"._GLOWELCOME." $sitename "._GLOSSARY."</font></center><br><br>";

$dcolor = "$bgcolor1";
    $column = &$pntable['glossary_column'];
    $temp = $dbconn->Execute("SELECT * FROM $pntable[glossary]");
	$row = $temp->RecordCount();
	
	if ($from == "") $from = 0;
	if ($row < $show_glossary) $to = $row; 
	$to = $show_glossary;	
	
	if (!$sortby) {
        $result = $dbconn->Execute("SELECT $column[gterm], $column[gdefinition] FROM $pntable[glossary] ORDER BY $column[gterm] LIMIT $from, $to"); }
	else {
	    $result = $dbconn->Execute("SELECT $column[gterm], $column[gdefinition] FROM $pntable[glossary] ORDER BY $sortby LIMIT $from, $to"); }

	echo "	
	<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\">";
 	if (!$row) {
 	$row = 1;
 	}
  	$next = $row/$show_glossary;
	$modnext = $row/$show_glossary;

 	echo "<tr><td colspan=\"9\" align=\"center\"> ["; 
 	$h = 0;
 	if ($modnext !="0") $next++;
 	for ($count=1;$count<$next;$count++) {
 	if ($h==$from) { echo " $count "; }
 	else { 
 	if (!$sortby) echo " <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;from=$h\">$count</a> ";
 	else echo " <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&sortby=$sortby&amp;from=$h\">$count</a> ";
  	}
 	$h=$h + $show_glossary;
 	}
 	echo " ]</td></tr>
 	<tr><td colspan=\"9\">&nbsp;</td></tr>
	<TR bgcolor=\"$bgcolor2\">
		<td width=\"15%\" height=\"25\" nowrap><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;sortby=gterm\"><font class=\"pn-normal\">"._GLOTERMS."</font></a></TD>
		<td width=\"90%\" height=\"25\"><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;sortby=gdefinition\"><font class=\"pn-normal\">"._GLODEF."</font></a></TD>
	</TR>";

    while(list($gterm, $gdefinition)=$result->fields) {
		$result->MoveNext();

if ($dcolor == "$bgcolor1") {
	$dcolor="$bgcolor1"; 
	} else {
	$dcolor="$bgcolor3"; 
	}
	
	echo "
	<TR bgcolor=\"$dcolor\" valign=\"top\">
		<td width=\"15%\" height=\"25\" nowrap><font class=\"pn-normal\">".$gterm."</TD>
		<td width=\"90%\" height=\"25\"><font class=\"pn-normal\">".$gdefinition."</TD>";
	echo"</TR>";

if ($dcolor == "$bgcolor1" ) {
   $dcolor = "$bgcolor3";
    }
    else if ($dcolor == "$bgcolor3") {
    $dcolor = "$bgcolor1";

    }
 	
 	
 	}
 	
 	$h=0;
 	echo "
 	<tr><td colspan=\"9\">&nbsp;</td></tr>
 	<tr><td colspan=\"9\" align=\"center\">[ "; 
 	for ($count=1;$count<$next;$count++) {
 	if ($h==$from) { echo " $count "; }
 	else { 
 	if (!$sortby) echo " <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;from=$h\">$count</a> ";
 	else echo " <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=$ModName&amp;file=index&amp;sortby=$sortby&amp;from=$h\">$count</a> ";
  	} 	$h=$h + $show_glossary;

 	}
 	
 	echo " ]</td></tr></table>";
?>


<?php
CloseTable();
include("footer.php");
}

# End AddOn Modules

switch($func) {

    default:
    GlossaryShow($sortby,$from);
    break;
}

?>