<?php // $Id: index.php,v 1.30 2001/12/04 00:50:29 gregorrothfuss Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file: Display site statistics
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }

include 'mainfile.php';

global $dbconn;

$ModName = basename( dirname( __FILE__ ) ); 

modules_get_language();

function mk_percbar($pperc,$width=100,$xecho=true,$ThemeSel)
{
    $pperc=round(($width*($pperc/100)),0);
        
    $what = "<img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"15\" width=\"7\" alt=\"l\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" height=\"15\" width=\"$pperc\" alt=\"m\"><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"15\" width=\"7\" alt=\"r\">";
    
    if($xecho==true) echo $what; else return $what;
}

/* Stats Hour / Day Stats */
$waxix = array(_MODSUN,_MODMON,_MODTUE,_MODWED,_MODTHU,_MODFRI,_MODSAT);
$toddate = date("dmY");

if (date("d")==1)
{
    if (date("d")==31)
    {
        $xyd=30;
    }
    if (date("d")==30||date("m")==08||date("m")==1)
    {
        $xyd=31;
    }
    if (date("m")==03)
    {
        if(date("L")==true)
        {
            $xyd=29;
        }
        else
        {
            $xyd=28;
        }
    }
    $mtd=date("m")-1;
}
else
{
    $xyd=date("d")-1;
    $mtd=date("m");
}
if (date("m")==1&&date("d")==1)
{
    $yed=date("Y")-1;
    $mtd="12";
}
else
{
    $yed=date("Y");
}
if (strlen($xyd)==1)
{
    $xyd="0".$xyd;
}
if (strlen($mtd)==1)
{
    $mtd="0".$mtd;
}
$yesdate=$xyd.$mtd.$yed;

$column = &$pntable['stats_date_column'];
$toddb=$dbconn->Execute("SELECT $column[hits] as hits FROM $pntable[stats_date] WHERE $column[date]='$toddate'");
if(!$toddb->EOF) {
    list($valtoday)=$toddb->fields;
}
else {
    $valtoday=0;
}

$column = &$pntable['stats_date_column'];
$yesdb=$dbconn->Execute("SELECT $column[hits] as hits FROM $pntable[stats_date] WHERE $column[date]='$yesdate'");
if(!$yesdb->EOF) {
    list($valyesday)=$yesdb->fields;
}
else {
    $valyesday=0;
}

$sumlex=0;
$hourbadhits=1000000000000;
for ($saxx=0;$saxx<=23;$saxx++)
{
    $column = &$pntable['stats_hour_column'];
    $htmpdb=$dbconn->Execute("SELECT $column[hits] FROM $pntable[stats_hour] WHERE $column[hour]='$saxx'");
    list($lexhr[$saxx])=$htmpdb->fields;
    if ($hourbesthits<$lexhr[$saxx])
    {
        $hourbesthits=$lexhr[$saxx];
        $hourbest=$saxx;
    }
    if ($hourbadhits>$lexhr[$saxx])
    {
        $hourbadhits=$lexhr[$saxx];
        $hourbad=$saxx;
    }
    $sumlex=$sumlex+$lexhr[$saxx];
}

$sumlux=0;
$weekdaybadhits=1000000000000;
for ($sbxx=0;$sbxx<=6;$sbxx++)
{
    $column = &$pntable['stats_week_column'];
    $htmpdbx=$dbconn->Execute("SELECT $column[hits] FROM $pntable[stats_week] WHERE $column[weekday]='$sbxx'");
    list($luxhr[$sbxx])=$htmpdbx->fields;
    if ($weekdaybesthits<$luxhr[$sbxx])
    {
        $weekdaybesthits=$luxhr[$sbxx];
        $weekdaybest=$sbxx;
        }
    if ($weekdaybadhits>$luxhr[$sbxx])
    {
        $weekdaybadhits=$luxhr[$sbxx];
        $weekdaybad=$sbxx;
        }
    $sumlux=$sumlux+$luxhr[$sbxx];
}

$summon=0;
for ($salmon=1;$salmon<=12;$salmon++)
{
    $column = &$pntable['stats_month_column'];
    $htmpdbs=$dbconn->Execute("SELECT $column[hits] FROM $pntable[stats_month] WHERE $column[month]='$salmon'");
    list($lexmon[$salmon])=$htmpdbs->fields;
    $summon=$summon+$lexmon[$salmon];
}

include("header.php");

$column = &$pntable['counter_column'];
$result = $dbconn->Execute("SELECT $column[type], $column[var], $column[count] FROM $pntable[counter] ORDER BY $column[type] DESC");
if($dbconn->ErrorNo()<>0) { echo $dbconn->ErrorNo(). ": ".$dbconn->ErrorMsg(). "<br>"; exit(); }
while(list($type, $var, $count) = $result->fields) {

    $result->MoveNext();

/* Lets do one big switch instead of many if/then statements */

switch ($type) {
    case "total":
        switch ($var) {
            case "hits":
                $total = $count;
                break;
        }
    case "browser":
        switch ($var) {
            case "Netscape":
                $netscape[] = $count;
                $netscape[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "MSIE":
                $msie[] = $count;
                $msie[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Konqueror":
                $konqueror[] = $count;
                $konqueror[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Opera":
                $opera[] = $count;
                $opera[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Lynx":
                $lynx[] = $count;
                $lynx[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Bot":
                $bot[] = $count;
                $bot[] =  substr(100 * $count / $total, 0, 5);
                break;

            case "Other":
                $b_other[] = $count;
                $b_other[] =  substr(100 * $count / $total, 0, 5);
                break;
        }
    case "os":
        switch ($var) {
            case "Windows":
                $windows[] = $count;
                $windows[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Mac":
                $mac[] = $count;
                $mac[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Linux":
                $linux[] = $count;
                $linux[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "FreeBSD":
                $freebsd[] = $count;
                $freebsd[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "SunOS":
                $sunos[] = $count;
                $sunos[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "IRIX":
                $irix[] = $count;
                $irix[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "BeOS":
                $beos[] = $count;
                $beos[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "OS/2":
                $os2[] = $count;
                $os2[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "AIX":
                $aix[] = $count;
                $aix[] =  substr(100 * $count / $total, 0, 5);
                break;
            case "Other":
                $os_other[] = $count;
                $os_other[] =  substr(100 * $count / $total, 0, 5);
                break;
        }
}
}
if(is_user($user)) {
    if($cookie[9]=="") $cookie[9]=$Default_Theme;
    if(!$file=@opendir("themes/$cookie[9]")) {
    $ThemeSel = $Default_Theme;
    } else {
    $ThemeSel = $cookie[9];
    }
} else {
    $ThemeSel = $Default_Theme;
}
echo "<br>";
OpenTable2();
echo "<center><font class=\"pn-title\">$sitename "._STATS."</font><br><br><font class=\"pn-normal\">"._WERECEIVED." <b>$total</b> "._PAGESVIEWS." $startdate, <b>$valtoday</b> "._MODTODAY." <b>$valyesday</b> "._MODYESTERDAY.".<br>";
echo ""._MODON." <b>".$waxix[$weekdaybest]."</b> "._MODTOTAL." <b>".$weekdaybesthits."</b> "._MODPAGES.", "._MODWHILE." <b>".$waxix[$weekdaybad]."</b> "._MODISNTOURDAY." <b>".$weekdaybadhits."</b> "._MODPAGES.". "._MODINAVRG." <b>$hourbesthits</b> "._MODPAGES." "._MODAT." <b>$hourbest</b> "._MODOCLOCK." "._MODFANSONLY." <b>$hourbad</b> "._MODOCLOCK." "._MODWITHONLY." <b>$hourbadhits</b> "._MODPAGES.").</font></center>";
CloseTable2();
echo "<br><br>";
OpenTable2();
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\"><tr><td colspan=\"2\">\n";
echo "<center><font class=\"pn-title\">"._BROWSERS."</font></center><br></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/explorer.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._MSIE.": </font></td><td>".mk_percbar($msie[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $msie[1] % ($msie[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/netscape.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._NETSCAPE.":</font></td><td>".mk_percbar($netscape[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $netscape[1] % ($netscape[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/opera.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._OPERA.": </font></td><td>".mk_percbar($opera[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $opera[1] % ($opera[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/konqueror.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._KONQUEROR.": </font></td><td>".mk_percbar($konqueror[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $konqueror[1] % ($konqueror[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/lynx.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._LYNX.":</font></td><td>".mk_percbar($lynx[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $lynx[1] % ($lynx[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/altavista.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._SEARCHENGINES.": </font></td><td>".mk_percbar($bot[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $bot[1] % ($bot[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/question.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._UNKNOWN.": </font></td><td>".mk_percbar($b_other[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $b_other[1] % ($b_other[0])</font>\n";
echo "</td></tr></table>";
CloseTable2();
echo "<br><br>\n";
OpenTable2();
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\"><tr><td colspan=\"2\">\n";
echo "<center><font class=\"pn-title\">"._OPERATINGSYS."</font></center><br></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/windows.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">Windows:</font></td><td>".mk_percbar($windows[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $windows[1] % ($windows[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/linux.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">Linux:</font></td><td>".mk_percbar($linux[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $linux[1] % ($linux[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/mac.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">Mac/PPC:</font></td><td>".mk_percbar($mac[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $mac[1] % ($mac[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/bsd.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">FreeBSD:</font></td><td>".mk_percbar($freebsd[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $freebsd[1] % ($freebsd[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/sun.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">SunOS:</font></td><td>".mk_percbar($sunos[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $sunos[1] % ($sunos[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/irix.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">IRIX:</font></td><td>".mk_percbar($irix[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $irix[1] % ($irix[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/be.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">BeOS:</font></td><td>".mk_percbar($beos[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $beos[1] % ($beos[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/os2.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">OS/2:</font></td><td>".mk_percbar($os2[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $os2[1] % ($os2[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/aix.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">AIX:</font></td><td>".mk_percbar($aix[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $aix[1] % ($aix[0])</font></td></tr>\n";
echo "<tr><td><img src=\"modules/$ModName/images/question.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._UNKNOWN.":</font></td><td>".mk_percbar($os_other[1],200,false,$ThemeSel)."<font class=\"pn-normal\"> $os_other[1] % ($os_other[0])</font>\n";
echo "</td></tr></table>\n";
CloseTable2();
echo "<br><br>\n";

OpenTable2();
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\">\n"
    ."\t<tr>\n"
    ."\t\t<td colspan=\"3\" class=\"pn-title\" align=\"center\">\n"
    ."\t\t\t<b>"._MODBYHOUR."</b><br><br>\n"
    ."\t\t</td>\n"
    ."\t</tr>\n";
$telixbiggest=0;
for ($telix=0;$telix<=23;$telix++)
{
    if ($telixbiggest<$lexhr[$telix])
        {
            $telixbiggest=$lexhr[$telix];
    }
}

for ($telix=5;$telix<=12;$telix++)
{
    echo "\t<tr>\n"
        ."\t\t<td align=\"right\">$telix:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$lexhr[$telix])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$lexhr[$telix])/$sumlex,2)."% ($lexhr[$telix])</td>\n"
        ."\t</tr>\n";
}

for ($telix=13;$telix<=23;$telix++)
{
    $time = $telix;
        echo "\t<tr>\n"
        ."\t\t<td align=\"right\">$time:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$lexhr[$telix])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$lexhr[$telix])/$sumlex,2)."% ($lexhr[$telix])</td>\n"
        ."\t</tr>\n";
}

for($telix=0;$telix<=0;$telix++)
{
    $time = $telix;
    echo "\t<tr>\n"
        ."\t\t<td align=\"right\">$time:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$lexhr[$telix])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$lexhr[$telix])/$sumlex,2)."% ($lexhr[$telix])</td>\n"
        ."\t</tr>\n";
}

for($telix=1;$telix<=4;$telix++)
{
    echo "\t<tr>\n"
        ."\t\t<td align=\"right\">$telix:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$lexhr[$telix])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$lexhr[$telix])/$sumlex,2)."% ($lexhr[$telix])</td>\n"
        ."\t</tr>\n";
}
echo "</table>\n";
CloseTable2();
echo "<br><br>\n";

$telixbiggest=0;
for ($telix=0;$telix<=6;$telix++)
{
    if ($telixbiggest<$luxhr[$telix])
    {
        $telixbiggest=$luxhr[$telix];
    }
}
OpenTable2();
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\">\n"
    ."\t<tr>\n"
    ."\t\t<td colspan=\"3\" class=\"pn-title\" align=\"center\">\n"
    ."\t\t\t<b>"._MODBYWEEK."</b><br><br>\n"
    ."\t\t</td>\n"
    ."\t</tr>\n";
for ($telix2=1;$telix2<=6;$telix2++)
{
    echo "\t<tr>\n"
        ."\t\t<td>$waxix[$telix2]:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$luxhr[$telix2])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$luxhr[$telix2])/$sumlux,2),"% ($luxhr[$telix2])</td>\n"
        ."\t</tr>\n";
}
$telix2=0;
echo "\t<tr>\n"
    ."\t\t<td>$waxix[$telix2]:</td>\n"
    ."\t\t<td>".mk_percbar(round((100*$luxhr[$telix2])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
    .round((100*$luxhr[$telix2])/$sumlux,2),"% ($luxhr[$telix2])</td>\n"
    ."\t</tr>\n";
echo "</table>\n";
CloseTable2();
echo "<br><br>\n";

$telixbiggest=0;
for ($telix=1;$telix<=12;$telix++)if($telixbiggest<$lexmon[$telix])$telixbiggest=$lexmon[$telix];
$waxixy=array("",_MODJAN,_MODFEB,_MODMAR,_MODAPR,_MODMAY,_MODJUN,_MODJUL,_MODAUG,_MODSEP,_MODOCT,_MODNOV,_MODDEC);
OpenTable2();
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\">\n"
    ."\t<tr>\n"
    ."\t\t<td colspan=\"3\" class=\"pn-title\" align=\"center\">\n"
    ."\t\t\t<b>"._MODBYMONTH."</b><br><br>\n"
    ."\t\t</td>\n"
    ."\t</tr>\n";
for ($telix4=1;$telix4<=12;$telix4++)
{
    echo "\t<tr>\n"
        ."\t\t<td>$waxixy[$telix4]:</td>\n"
        ."\t\t<td>".mk_percbar(round((100*$lexmon[$telix4])/$telixbiggest,0),200,false,$ThemeSel)."&nbsp;\n"
        .round((100*$lexmon[$telix4])/$summon,2),"% ($lexmon[$telix4])</td>\n"
        ."\t</tr>\n";
}
echo "</table>\n";
CloseTable2();
echo "<br><br>\n";

$unum_res =    $dbconn->Execute("select count(*) as count from $pntable[users]");
$column = &$pntable['stories_column'];
$anum_res =    $dbconn->Execute("select $column[aid], count(*) as count from $pntable[stories] GROUP BY $column[aid]");
$snum_res =    $dbconn->Execute("select count(*) as count from $pntable[stories]");
$cnum_res =    $dbconn->Execute("select count(*) as count from $pntable[comments]");
$secnum_res =  $dbconn->Execute("select count(*) as count from $pntable[sections]");
$secanum_res = $dbconn->Execute("select count(*) as count from $pntable[seccont]");
$subnum_res =  $dbconn->Execute("select count(*) as count from $pntable[queue] WHERE arcd='0'");
$tnum_res =    $dbconn->Execute("select count(*) as count from $pntable[topics]");
$links_res =   $dbconn->Execute("select count(*) as count from $pntable[links_links]");
$cat_res =    $dbconn->Execute("select count(*) as count from $pntable[links_categories]");

/* Now lets get the count info */

list($unum) =   $unum_res->fields;
$anum =   $anum_res->PO_RecordCount();
list($snum) =   $snum_res->fields;
list($cnum) =   $cnum_res->fields;
list($secnum) = $secnum_res->fields;
list($secanum) = $secanum_res->fields;
list($subnum) = $subnum_res->fields;
list($tnum) =   $tnum_res->fields;
list($links) =  $links_res->fields;
list($cat) =   $cat_res->fields;

OpenTable2();
$vlgn = "valign=\"bottom\"";
$algn = "align=\"right\"";
echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\" align=\"center\"><tr><td colspan=\"2\">\n";
echo "<center><font class=\"pn-title\">"._MISCSTATS."</font></center><br></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/users.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._REGUSERS."</font></td><td $algn><font class=\"pn-normal\">$unum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/news.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._STORIESPUBLISHED."</font></td><td $algn><font class=\"pn-normal\">$snum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/topics.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._SACTIVETOPICS."</font></td><td $algn><font class=\"pn-normal\">$tnum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/comments.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._COMMENTSPOSTED."</font></td><td $algn><font class=\"pn-normal\">$cnum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/sections.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._SSPECIALSECT."</font></td><td $algn><font class=\"pn-normal\">$secnum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/articles.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._ARTICLESSEC."</font></td><td $algn><font class=\"pn-normal\">$secanum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/topics.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._LINKSINLINKS."</font></td><td $algn><font class=\"pn-normal\">$links</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/sections.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._LINKSCAT."</font></td><td $algn><font class=\"pn-normal\">$cat</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/waiting.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._NEWSWAITING."</font></td><td $algn><font class=\"pn-normal\">$subnum</font></td></tr>\n";
echo "<tr $vlgn><td><img src=\"modules/$ModName/images/sections.gif\" border=\"0\" alt=\"\">&nbsp;<font class=\"pn-normal\">"._NUKEVERSION."</font></td><td $algn><font class=\"pn-normal\">$Version_Num</font>\n";
echo "</td></tr></table>\n";
CloseTable2();
echo "<br>";
include("footer.php");

?>