# phpMyAdmin MySQL-Dump
# version 2.3.2
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generation Time: Apr 13, 2003 at 06:40 PM
# Server version: 3.23.48
# PHP Version: 4.1.0
# Database : `nuke`
# --------------------------------------------------------

#
# Table structure for table `nuke_actual`
#

DROP TABLE IF EXISTS nuke_actual;
CREATE TABLE nuke_actual (
  id int(11) NOT NULL auto_increment,
  text mediumtext,
  link varchar(255) default NULL,
  date int(11) default NULL,
  admin smallint(6) default NULL,
  status smallint(6) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_actual`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_autolinks`
#

DROP TABLE IF EXISTS nuke_autolinks;
CREATE TABLE nuke_autolinks (
  lid int(11) NOT NULL auto_increment,
  keyword varchar(100) NOT NULL default '',
  title varchar(100) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  comment varchar(200) default NULL,
  PRIMARY KEY  (lid),
  UNIQUE KEY keyword (keyword)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_autolinks`
#

INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (1, 'autolink', 'AutoLink', ' http://www.nusite.de', 'AutoLinking for PostNuke');
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (2, 'postnuke', 'PostNuke', ' http://www.postnuke.com', 'PostNuke Portal System');
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (3, 'gpl', 'GPL', ' http://www.gnu.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (4, 'linux', 'Linux.com', ' http://www.linux.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (5, 'blender', 'Blender', ' http://www.blender.nl', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (6, 'gnu', 'GNU Project', ' http://www.gnu.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (7, 'gimp', 'The GIMP', ' http://www.gimp.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (8, 'cnn', 'CNN.com', ' http://www.cnn.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (9, 'news.com', 'News.com', ' http://www.news.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (10, 'ibm', 'IBM', ' http://www.ibm.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (11, 'php', 'PHP HomePage', ' http://www.php.net', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (12, 'mandrake', 'Mandrakesoft', ' http://www.mandrakesoft.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (13, 'redhat', 'Red Hat', ' http://www.redhat.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (14, 'red hat', 'Red Hat', ' http://www.redhat.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (15, 'Debian', 'Debian GNU/Linux', ' http://www.debian.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (16, 'slackware', 'Slackware', ' http://www.slackware.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (17, 'freebsd', 'FreeBsD', ' http://www.freebsd.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (18, 'artist', 'Linux Artist', ' http://www.linuxartist.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (19, 'games', 'Linux Games', ' http://www.linuxgames.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (20, 'sourceforge', 'SourceForge', ' http://www.sourceforge.net', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (21, 'source forge', 'SourceForge', ' http://www.sourceforge.net', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (22, 'palm pilot', 'Palm Pilot', ' http://www.palm.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (23, 'windows', 'Microsoft', ' http://www.microsoft.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (24, 'microsoft', 'Microsoft', ' http://www.microsoft.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (25, 'kernel', 'Linux Kernel Archives', ' http://www.kernel.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (26, 'opensource', 'Opensource', ' http://www.opensource.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (27, 'open source', 'Opensource', ' http://www.opensource.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (28, 'nuke', 'PostNuke', ' http://www.postnuke.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (29, 'compaq', 'Compaq', ' http://www.compaq.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (30, 'intel', 'Intel', ' http://www.intel.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (31, 'mysql', 'MysQL Database server', ' http://www.mysql.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (32, 'themes', 'Themes.org', ' http://www.themes.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (33, 'suse', 'SuSE', ' http://www.suse.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (34, 'script', 'Hotscripts', ' http://www.hotscripts.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (35, 'amd', 'AMD', ' http://www.amd.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (36, 'transmeta', 'Transmeta', ' http://www.transmeta.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (37, 'apple', 'Apple', ' http://www.apple.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (38, 'apache', 'Apache Web server', ' http://www.apache.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (39, 'nasa', 'NASA', ' http://www.nasa.gov', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (40, 'documentation', 'Linux Manuals', ' http://www.linuxdoc.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (41, 'manual', 'Linux Manuals', ' http://www.linuxdoc.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (42, 'howto', 'Linux Manuals', ' http://www.linuxdoc.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (43, 'rtfm', 'Linux Manuals', ' http://www.linuxdoc.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (44, 'dell', 'Dell', ' http://www.dell.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (45, 'google', 'Google search Engine', ' http://www.google.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (46, 'translate', 'Babelfish Translator', ' http://babelfish.altavista.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (47, 'w3', 'W3 Consortium', ' http://www.w3.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (48, 'cs', 'Cs standard', ' http://www.w3.org/style/Cs', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (49, 'html', 'HTML standard', ' http://www.w3.org/MarkUp', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (50, 'xhmtl', 'XHTML standard', ' http://www.w3.org/MarkUp', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (51, 'rpm', 'RPM', ' http://www.rpm.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (52, '3com', '3Com', ' http://www.3com.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (53, 'sun microsystems', 'Sun Microsystems', ' http://www.sun.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (54, 'staroffice', 'Star Office', ' http://www.sun.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (55, 'star office', 'Star Office', ' http://www.sun.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (56, 'openoffice', 'Open Office', ' http://www.openoffice.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (57, 'open office', 'Open Office', ' http://www.openoffice.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (58, 'oracle', 'Oracle', ' http://www.oracle.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (59, 'informix', 'Informix', ' http://www.informix.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (60, 'postgre', 'PostgresQL', ' http://www.postgresql.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (61, 'mp3', 'MP3.com', ' http://www.mp3.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (62, 'gnome', 'GNOME', ' http://www.gnome.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (63, 'kde', 'KDE', ' http://www.kde.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (64, 'mozilla', 'Mozilla', ' http://www.mozilla.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (65, 'netscape', 'Netscape', ' http://www.netscape.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (66, 'corel', 'Corel', ' http://www.corel.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (67, 'hp', 'Hewlett Packard', ' http://www.hp.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (68, 'hewlett packard', 'Hewlett Packard', ' http://www.hp.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (69, 'caldera', 'Caldera systems', ' http://www.caldera.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (70, 'freshmeat', 'Freshmeat', ' http://www.freshmeat.net', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (71, 'slashdot', 'Slashdot', ' http://www.slashdot.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (72, 'spam', 'Spam Cop', ' http://www.spamcop.net', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (73, 'aol', 'America Online', ' http://www.aol.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (74, 'america online', 'America Online', ' http://www.aol.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (75, 'pov-ray', 'POV Ray', ' http://www.povray.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (76, 'povray', 'POV Ray', ' http://www.povray.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (77, 'pov ray', 'POV Ray', ' http://www.povray.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (78, 'seti', 'SETI Institute', ' http://www.seti.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (79, 'cnet', 'C|Net News', ' http://www.cnet.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (80, 'zdnet', 'ZDNet News', ' http://www.zdnet.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (81, 'napster', 'Napster', ' http://www.napster.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (82, 'sony', 'Sony HomePage', ' http://www.sony.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (83, 'xfree', 'X-Free86 Project', ' http://www.xfree.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (84, 'x-free', 'X-Free86 Project', ' http://www.xfree.org', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (85, 'beos', 'BeOS', ' http://www.beos.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (86, 'borland', 'Borland', ' http://www.borland.com', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (87, 'kylix', 'Kylix HomePage', ' http://www.borland.com/kylix', NULL);
INSERT INTO nuke_autolinks (lid, keyword, title, url, comment) VALUES (88, 'amazon', 'Amazon.com', ' http://www.amazon.com', NULL);
# --------------------------------------------------------

#
# Table structure for table `nuke_autonews`
#

DROP TABLE IF EXISTS nuke_autonews;
CREATE TABLE nuke_autonews (
  anid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(30) NOT NULL default '',
  title varchar(80) NOT NULL default '',
  time varchar(19) NOT NULL default '',
  hometext text NOT NULL,
  bodytext text NOT NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(20) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  alanguage varchar(30) NOT NULL default '',
  withcomm int(1) NOT NULL default '0',
  PRIMARY KEY  (anid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_autonews`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_banner`
#

DROP TABLE IF EXISTS nuke_banner;
CREATE TABLE nuke_banner (
  bid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  imptotal int(11) NOT NULL default '0',
  impmade int(11) NOT NULL default '0',
  clicks int(11) NOT NULL default '0',
  imageurl varchar(255) NOT NULL default '',
  clickurl varchar(255) NOT NULL default '',
  date datetime default NULL,
  PRIMARY KEY  (bid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_banner`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_bannerclient`
#

DROP TABLE IF EXISTS nuke_bannerclient;
CREATE TABLE nuke_bannerclient (
  cid int(11) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  contact varchar(60) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  login varchar(10) NOT NULL default '',
  passwd varchar(10) NOT NULL default '',
  extrainfo text NOT NULL,
  PRIMARY KEY  (cid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_bannerclient`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_bannerfinish`
#

DROP TABLE IF EXISTS nuke_bannerfinish;
CREATE TABLE nuke_bannerfinish (
  bid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  impressions int(11) NOT NULL default '0',
  clicks int(11) NOT NULL default '0',
  datestart datetime default NULL,
  dateend datetime default NULL,
  PRIMARY KEY  (bid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_bannerfinish`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_blocks`
#

DROP TABLE IF EXISTS nuke_blocks;
CREATE TABLE nuke_blocks (
  bid int(10) unsigned NOT NULL auto_increment,
  bkey varchar(255) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  content text NOT NULL,
  url varchar(255) NOT NULL default '',
  position char(1) NOT NULL default 'l',
  weight decimal(10,1) NOT NULL default '0.0',
  active tinyint(3) unsigned NOT NULL default '1',
  refresh int(10) unsigned NOT NULL default '0',
  last_update timestamp(14) NOT NULL,
  blanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (bid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_blocks`
#

INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (1, 'menu', 'Hlavn menu', 'style:=1\ndisplaymodules:=0\ndisplaywaiting:=0\ncontent:=index.php|Dom|Back to the home page.LINESPLITuser.php|Nastaven tu|Administer your personal account.LINESPLITadmin.php|Administrace|Administer your PostNuked site.LINESPLITuser.php?module=NS-User&op=logout|Odhlen|Logout of your account.LINESPLIT|Moduly|LINESPLIT[AvantGo]|AvantGo|Stories formatted for PDAs.LINESPLIT[Downloads]|Download centrum|Find downloads listed on this website.LINESPLIT[FAQ]|FAQ|Frequently Asked QuestionsLINESPLIT[Members_List]|Seznam uivatel|Listing of registered users on this site.LINESPLIT[News]|Novinky|Latest News on this site.LINESPLIT[Recommend_Us]|Doporute ns|Recommend this website to a friend.LINESPLIT[Reviews]|Recenze|Reviews Section on this website.LINESPLIT[Search]|Hledn|Search our website.LINESPLIT[Sections]|Sekce|Other content on this website.LINESPLIT[Stats]|Statistika|Detailed traffic statistics.LINESPLIT[Submit_News]|Odeslat lnek|Submit an article.LINESPLIT[Topics]|Tmata|Listing of news topics on this website.LINESPLIT[Top_List]|Top List|Top 10 list.LINESPLIT[Web_Links]|Archv odkaz|Links to other sites.LINESPLIT[Glossary]|Co je co?|Slovnk pojmLINESPLIT[GuestBook]|Kniha nvtv|Kniha nvtvLINESPLIT[My_eGallery]|Galerie|GalerieLINESPLIT[WebChat]|Chat|ChatLINESPLIT[XForum]|Diskusn frum|Diskuse', '', 'l', '1.0', 1, 0, 20030121164519, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (2, 'menu', 'Pchoz', 'style:=1\ndisplaymodules:=0\ndisplaywaiting:=1\ncontent:=', '', 'l', '2.0', 1, 0, 20030121154027, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (3, 'online', 'Kdo je pihlen', '', '', 'l', '3.0', 1, 0, 20030121154041, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (4, 'stories', 'Ostatn lnky', 'type=1\n                     topic=-1\n                     category=-1\n                     limit=10', '', 'r', '1.0', 1, 0, 20030121154119, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (5, 'user', 'Blok uivatele', '', '', 'l', '3.5', 1, 0, 20030121154057, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (6, 'search', 'Hledn', '', '', 'l', '4.0', 0, 0, 20030121154236, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (7, 'ephem', 'Udlosti', '', '', 'l', '5.0', 0, 0, 20030121154247, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (8, 'thelang', 'Jazyky', '', '', 'l', '6.0', 1, 0, 20030121154104, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (9, 'category', 'Kategorie', '', '', 'r', '1.5', 1, 0, 20030121154128, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (10, 'random', 'Nhodn headlines', '', '', 'r', '2.0', 0, 0, 20030121154301, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (11, 'poll', 'Anketa', '', '', 'r', '3.0', 1, 0, 20030121154137, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (12, 'big', 'lnek dne', '', '', 'r', '4.0', 1, 0, 20030121154200, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (13, 'login', 'Pihlen', '', '', 'r', '5.0', 1, 0, 20030121154210, '');
INSERT INTO nuke_blocks (bid, bkey, title, content, url, position, weight, active, refresh, last_update, blanguage) VALUES (14, 'past', 'Posledn lnky', '', '', 'r', '6.0', 1, 0, 20030121154221, '');
# --------------------------------------------------------

#
# Table structure for table `nuke_blocks_buttons`
#

DROP TABLE IF EXISTS nuke_blocks_buttons;
CREATE TABLE nuke_blocks_buttons (
  id int(10) unsigned NOT NULL auto_increment,
  bid int(10) unsigned NOT NULL default '0',
  title varchar(255) NOT NULL default '',
  url varchar(255) NOT NULL default '',
  images longtext NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_blocks_buttons`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_chatmessage`
#

DROP TABLE IF EXISTS nuke_chatmessage;
CREATE TABLE nuke_chatmessage (
  time int(11) default NULL,
  rid int(11) default NULL,
  send_id int(11) default NULL,
  rcpt_id int(11) default NULL,
  cmd varchar(50) default NULL,
  message text
) TYPE=MyISAM;

#
# Dumping data for table `nuke_chatmessage`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_chatroom`
#

DROP TABLE IF EXISTS nuke_chatroom;
CREATE TABLE nuke_chatroom (
  rid int(11) NOT NULL auto_increment,
  name varchar(20) default NULL,
  descript varchar(255) default NULL,
  typ char(1) default NULL,
  pass varchar(64) default NULL,
  orig tinyint(1) default NULL,
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_chatroom`
#

INSERT INTO nuke_chatroom (rid, name, descript, typ, pass, orig) VALUES (1, 'Hlavn', 'Hlavn mstnost', 'N', '', 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_chatsmile`
#

DROP TABLE IF EXISTS nuke_chatsmile;
CREATE TABLE nuke_chatsmile (
  sid int(11) NOT NULL auto_increment,
  code varchar(12) default NULL,
  file varchar(50) default NULL,
  emotion varchar(50) default NULL,
  showit tinyint(1) default '0',
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_chatsmile`
#

INSERT INTO nuke_chatsmile (sid, code, file, emotion, showit) VALUES (1, ':)', 'smile.gif', 'Smile', 1);
INSERT INTO nuke_chatsmile (sid, code, file, emotion, showit) VALUES (2, ':(', 'sad.gif', 'Sad', 1);
INSERT INTO nuke_chatsmile (sid, code, file, emotion, showit) VALUES (3, ';)', 'wink.gif', 'Wink', 1);
INSERT INTO nuke_chatsmile (sid, code, file, emotion, showit) VALUES (4, ':D', 'biggrin.gif', 'Big grin', 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_chatsound`
#

DROP TABLE IF EXISTS nuke_chatsound;
CREATE TABLE nuke_chatsound (
  sid int(11) NOT NULL auto_increment,
  cmd varchar(50) default NULL,
  file varchar(50) default NULL,
  saytext varchar(50) default NULL,
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_chatsound`
#

INSERT INTO nuke_chatsound (sid, cmd, file, saytext) VALUES (1, 'hey', 'hey.wav', 'saying hey');
# --------------------------------------------------------

#
# Table structure for table `nuke_chatuser`
#

DROP TABLE IF EXISTS nuke_chatuser;
CREATE TABLE nuke_chatuser (
  uid int(11) NOT NULL default '0',
  name varchar(20) default NULL,
  last int(11) default NULL,
  rid int(11) default NULL,
  ip varchar(16) default NULL,
  PRIMARY KEY  (uid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_chatuser`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_comments`
#

DROP TABLE IF EXISTS nuke_comments;
CREATE TABLE nuke_comments (
  tid int(11) NOT NULL auto_increment,
  pid int(11) default '0',
  sid int(11) default '0',
  date datetime default NULL,
  name varchar(60) NOT NULL default '',
  email varchar(60) default NULL,
  url varchar(60) default NULL,
  host_name varchar(60) default NULL,
  subject varchar(85) NOT NULL default '',
  comment text NOT NULL,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_comments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_counter`
#

DROP TABLE IF EXISTS nuke_counter;
CREATE TABLE nuke_counter (
  type varchar(80) NOT NULL default '',
  var varchar(80) NOT NULL default '',
  count int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_counter`
#

INSERT INTO nuke_counter (type, var, count) VALUES ('total', 'hits', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Lynx', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'MSIE', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Opera', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Konqueror', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Netscape', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Bot', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('browser', 'Other', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'Windows', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'Linux', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'Mac', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'FreeBSD', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'SunOS', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'IRIX', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'BeOS', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'OS/2', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'AIX', 0);
INSERT INTO nuke_counter (type, var, count) VALUES ('os', 'Other', 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_categories`
#

DROP TABLE IF EXISTS nuke_downloads_categories;
CREATE TABLE nuke_downloads_categories (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  PRIMARY KEY  (cid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_categories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_downloads`
#

DROP TABLE IF EXISTS nuke_downloads_downloads;
CREATE TABLE nuke_downloads_downloads (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  date datetime default NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  hits int(11) NOT NULL default '0',
  submitter varchar(60) NOT NULL default '',
  downloadratingsummary double(6,4) NOT NULL default '0.0000',
  totalvotes int(11) NOT NULL default '0',
  totalcomments int(11) NOT NULL default '0',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_downloads`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_editorials`
#

DROP TABLE IF EXISTS nuke_downloads_editorials;
CREATE TABLE nuke_downloads_editorials (
  downloadid int(11) NOT NULL default '0',
  adminid varchar(60) NOT NULL default '',
  editorialtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  editorialtext text NOT NULL,
  editorialtitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (downloadid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_editorials`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_modrequest`
#

DROP TABLE IF EXISTS nuke_downloads_modrequest;
CREATE TABLE nuke_downloads_modrequest (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  modifysubmitter varchar(60) NOT NULL default '',
  brokendownload int(3) NOT NULL default '0',
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (requestid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_modrequest`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_newdownload`
#

DROP TABLE IF EXISTS nuke_downloads_newdownload;
CREATE TABLE nuke_downloads_newdownload (
  lid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  submitter varchar(60) NOT NULL default '',
  filesize int(11) NOT NULL default '0',
  version varchar(10) NOT NULL default '',
  homepage varchar(200) NOT NULL default '',
  PRIMARY KEY  (lid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_newdownload`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_subcategories`
#

DROP TABLE IF EXISTS nuke_downloads_subcategories;
CREATE TABLE nuke_downloads_subcategories (
  sid int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  title varchar(50) NOT NULL default '',
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_subcategories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_downloads_votedata`
#

DROP TABLE IF EXISTS nuke_downloads_votedata;
CREATE TABLE nuke_downloads_votedata (
  ratingdbid int(11) NOT NULL auto_increment,
  ratinglid int(11) NOT NULL default '0',
  ratinguser varchar(60) NOT NULL default '',
  rating int(11) NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingcomments text NOT NULL,
  ratingtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ratingdbid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_downloads_votedata`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_ephem`
#

DROP TABLE IF EXISTS nuke_ephem;
CREATE TABLE nuke_ephem (
  eid int(11) NOT NULL auto_increment,
  did int(2) NOT NULL default '0',
  mid int(2) NOT NULL default '0',
  yid int(4) NOT NULL default '0',
  content text NOT NULL,
  elanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (eid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_ephem`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_faqanswer`
#

DROP TABLE IF EXISTS nuke_faqanswer;
CREATE TABLE nuke_faqanswer (
  id tinyint(4) NOT NULL auto_increment,
  id_cat tinyint(4) default NULL,
  question varchar(255) default NULL,
  answer text,
  submittedby varchar(250) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_faqanswer`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_faqcategories`
#

DROP TABLE IF EXISTS nuke_faqcategories;
CREATE TABLE nuke_faqcategories (
  id_cat tinyint(3) NOT NULL auto_increment,
  categories varchar(255) default NULL,
  flanguage varchar(30) NOT NULL default '',
  parent_id tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (id_cat)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_faqcategories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_categories`
#

DROP TABLE IF EXISTS nuke_gallery_categories;
CREATE TABLE nuke_gallery_categories (
  gallid int(3) NOT NULL auto_increment,
  gallname varchar(30) NOT NULL default '',
  gallimg varchar(50) NOT NULL default '',
  galloc longtext,
  description text NOT NULL,
  parent int(3) NOT NULL default '-1',
  visible tinyint(3) unsigned NOT NULL default '0',
  template int(10) unsigned NOT NULL default '2',
  thumbwidth int(2) unsigned NOT NULL default '70',
  numcol tinyint(3) unsigned NOT NULL default '3',
  total int(10) unsigned NOT NULL default '0',
  lastadd date NOT NULL default '0000-00-00',
  PRIMARY KEY  (gallid),
  KEY gallid (gallid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_categories`
#

INSERT INTO nuke_gallery_categories (gallid, gallname, gallimg, galloc, description, parent, visible, template, thumbwidth, numcol, total, lastadd) VALUES (1, 'Art', 'gallery.gif', 'Art', 'Art Pictures', -1, 2, 2, 70, 2, 7, '2001-06-22');
# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_comments`
#

DROP TABLE IF EXISTS nuke_gallery_comments;
CREATE TABLE nuke_gallery_comments (
  cid int(10) unsigned NOT NULL auto_increment,
  pid int(10) unsigned NOT NULL default '0',
  comment text NOT NULL,
  date datetime NOT NULL default '0000-00-00 00:00:00',
  name varchar(255) default NULL,
  member tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (cid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_comments`
#

INSERT INTO nuke_gallery_comments (cid, pid, comment, date, name, member) VALUES (1, 1, 'cool art', '2000-12-19 12:18:53', 'dgrabows', 0);
INSERT INTO nuke_gallery_comments (cid, pid, comment, date, name, member) VALUES (2, 1, 'Good job but could be better', '2001-05-18 17:50:04', 'MarsIsHere', 0);
INSERT INTO nuke_gallery_comments (cid, pid, comment, date, name, member) VALUES (3, 1, 'Et voil!!!', '2001-05-18 17:58:51', 'Webmaster', 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_media_class`
#

DROP TABLE IF EXISTS nuke_gallery_media_class;
CREATE TABLE nuke_gallery_media_class (
  id int(2) NOT NULL default '0',
  class varchar(10) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_media_class`
#

INSERT INTO nuke_gallery_media_class (id, class) VALUES (1, 'Image');
INSERT INTO nuke_gallery_media_class (id, class) VALUES (2, 'Audio');
INSERT INTO nuke_gallery_media_class (id, class) VALUES (3, 'Video');
# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_media_types`
#

DROP TABLE IF EXISTS nuke_gallery_media_types;
CREATE TABLE nuke_gallery_media_types (
  extension varchar(10) NOT NULL default '',
  description text NOT NULL,
  filetype varchar(20) NOT NULL default '',
  displaytag text NOT NULL,
  thumbnail varchar(255) NOT NULL default '',
  PRIMARY KEY  (extension)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_media_types`
#

INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('bmp', 'Image/BMP', '1', '<img src="<:FILENAME:>" border="0" alt="<:DESCRIPTION:>">', 'image_gif.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('gif', 'Image/GIF', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'image_gif.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('jpg', 'Image/JPG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'image_jpg.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('png', 'Image/PNG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'image_png.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('mov', 'Video/Quicktime', '3', '<embed controller="true" width="<:WIDTH:>" height="<:HEIGHT:>" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'video_mov.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('avi', 'Video/AVI', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'video_avi.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('mpg', 'Video/MPEG', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'video_mpg.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('mp3', 'Audio/MP3', '2', '<embed controller="true" width="200" height="20" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'audio_mp3.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('mid', 'Audio/MIDI', '2', '<embed src="<:FILENAME:>" type="audio/midi" hidden="false" autostart="true" loop="true" height="20" width="200"></embed>', 'audio_mid.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('swf', 'Video/Flash', '3', '<embed src="<:FILENAME:>" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="<:WIDTH:>" height="<:HEIGHT:>" play="true" loop="true" quality="high" scale="showall" menu="true"></embed>', 'video_swf.gif');
INSERT INTO nuke_gallery_media_types (extension, description, filetype, displaytag, thumbnail) VALUES ('rm', 'Video/RealMedia', '3', '<OBJECT>" height="<:HEIGHT:>">\n<PARAM NAME="CONTROLS" VALUE="ImageWindow">\n<PARAM NAME="AUTOSTART" Value="true">\n<PARAM NAME="SRC" VALUE="<:FILENAME:>">\n<embed height="<:HEIGHT:>" width="<:WIDTH:>" controls="ImageWindow" src="<:FILENAME:>?embed" type="audio/x-pn-realaudio-plugin" autostart="true" nolabels="0" autogotourl="-1"></OBJECT>', 'video_realmedia.gif');
# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_pictures`
#

DROP TABLE IF EXISTS nuke_gallery_pictures;
CREATE TABLE nuke_gallery_pictures (
  pid int(10) unsigned NOT NULL auto_increment,
  gid int(3) NOT NULL default '0',
  img varchar(255) NOT NULL default '',
  counter int(10) unsigned NOT NULL default '0',
  submitter varchar(24) NOT NULL default 'Webmaster',
  date datetime default NULL,
  name varchar(255) NOT NULL default '',
  description text NOT NULL,
  votes int(10) unsigned NOT NULL default '0',
  rate float NOT NULL default '0',
  extension varchar(10) NOT NULL default 'image',
  width smallint(5) unsigned NOT NULL default '0',
  height smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (pid),
  KEY pid (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_pictures`
#

INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (1, 1, '1.jpg', 0, 'Webmaster', '2001-06-22 15:05:25', '1.jpg', '1.jpg', 0, '0', 'jpg', 413, 271);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (2, 1, '2.jpg', 0, 'Webmaster', '2001-06-22 15:05:25', '2.jpg', '', 0, '0', 'jpg', 490, 370);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (3, 1, '3.jpg', 0, 'Webmaster', '2001-06-22 15:05:25', '3.jpg', '', 0, '0', 'jpg', 216, 216);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (4, 1, '4.jpg', 0, 'Webmaster', '2001-06-22 15:05:25', '4.jpg', '', 0, '0', 'jpg', 230, 290);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (5, 1, '5.jpg', 3, 'Webmaster', '2001-06-22 15:05:25', '5.jpg', '', 0, '0', 'jpg', 232, 296);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (6, 1, '6.jpg', 1, 'Webmaster', '2001-06-22 15:05:25', '6.jpg', '', 0, '0', 'jpg', 479, 370);
INSERT INTO nuke_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (7, 1, 'kodred1.swf', 1, 'Webmaster', '2001-06-22 15:05:25', 'kodred1.swf', '', 0, '0', 'swf', 320, 240);
# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_pictures_newpicture`
#

DROP TABLE IF EXISTS nuke_gallery_pictures_newpicture;
CREATE TABLE nuke_gallery_pictures_newpicture (
  pid int(10) unsigned NOT NULL auto_increment,
  gid int(3) NOT NULL default '0',
  img varchar(255) NOT NULL default '',
  counter int(10) unsigned NOT NULL default '0',
  submitter varchar(24) NOT NULL default 'Webmaster',
  date datetime default NULL,
  name varchar(255) NOT NULL default '',
  description text NOT NULL,
  votes int(10) unsigned NOT NULL default '0',
  rate float NOT NULL default '0',
  extension varchar(10) NOT NULL default 'image',
  width smallint(5) unsigned NOT NULL default '0',
  height smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (pid),
  KEY pid (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_pictures_newpicture`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_rate_check`
#

DROP TABLE IF EXISTS nuke_gallery_rate_check;
CREATE TABLE nuke_gallery_rate_check (
  ip varchar(20) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  pid int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_rate_check`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_gallery_template_types`
#

DROP TABLE IF EXISTS nuke_gallery_template_types;
CREATE TABLE nuke_gallery_template_types (
  id int(10) unsigned NOT NULL auto_increment,
  title varchar(255) NOT NULL default '',
  type tinyint(3) unsigned NOT NULL default '2',
  templateCategory longtext NOT NULL,
  templatePictures longtext NOT NULL,
  templateCSS longtext,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_gallery_template_types`
#

INSERT INTO nuke_gallery_template_types (id, title, type, templateCategory, templatePictures, templateCSS) VALUES (1, 'Default Main Page Template', 1, '<table align="center">\n<tr>\n	<td colspan="2">\n		<:GALLNAME:>\n	</td>\n</tr>\n<tr>\n	<td>\n		<:IMAGE:>\n	</td>\n	<td valign="top" align="left">\n		<:DESCRIPTION:>\n	</td>\n</tr>\n</table>', '2', '.common_text_black {text-color:#000000}\n.common_text_white {text-color:#ffffff}');
INSERT INTO nuke_gallery_template_types (id, title, type, templateCategory, templatePictures, templateCSS) VALUES (2, 'Default', 2, '<table border="0" cellpadding="0" cellspacing="0">\n<tr>\n	<td>\n		<:IMAGE:>\n	</td>\n	<td valign="top">\n		<p>\n				<table>\n				<tr>\n					<td align="center">\n						<:DATE:>\n					</td>\n					<td align="center">\n						<:RATE:>\n					</td>\n					<td align="center">\n						<:HITS:>\n					</td>\n					<td align="center">\n						<:NEW:>\n					</td>\n				</tr>\n				</table>\n		</p>\n		<p>\n				<:DESCRIPTION:>\n		</p>\n		<p>\n				<:NBCOMMENTS:> | <:FORMAT:> | <:SIZE:>\n		</p>\n	</td>\n</tr>\n</table>', '<table>\n<tr>\n	<td valign="top" align="center">\n		<:NAMESIZE:>\n		<br><br>\n		<TABLE CellPadding="0" CellSpacing="0">\n		<TR>\n			<TD valign="top">\n				<:SUBMITTER:>\n				<:DATE:>\n				<:HITS:>\n				<:RATE:>\n			</TD>\n		</TR>\n		</table><br>\n		<:RATINGBAR:><br>\n		<:POSTCARD:><br>\n		<:DOWNLOAD:><br>\n		<:PRINT:>\n	</td>\n	<td width="80%" align="center">\n		<:IMAGE:>\n	</td>\n</tr>\n<tr>\n	<td colspan="2"><:DESCRIPTION:></td>\n</tr>\n<tr>\n	<td colspan="2">\n		<:COMMENTS:>\n	</td>\n</tr>\n</table>', '.common_text_black {text-color:#000000}\n.common_text_white {text-color:#ffffff}');
# --------------------------------------------------------

#
# Table structure for table `nuke_glossary`
#

DROP TABLE IF EXISTS nuke_glossary;
CREATE TABLE nuke_glossary (
  gid int(4) NOT NULL auto_increment,
  gterm varchar(255) default NULL,
  gdefinition varchar(255) default NULL,
  PRIMARY KEY  (gid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_glossary`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_group_membership`
#

DROP TABLE IF EXISTS nuke_group_membership;
CREATE TABLE nuke_group_membership (
  gid int(6) NOT NULL default '0',
  uid int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_group_membership`
#

INSERT INTO nuke_group_membership (gid, uid) VALUES (1, 1);
INSERT INTO nuke_group_membership (gid, uid) VALUES (2, 2);
# --------------------------------------------------------

#
# Table structure for table `nuke_group_perms`
#

DROP TABLE IF EXISTS nuke_group_perms;
CREATE TABLE nuke_group_perms (
  pid int(11) NOT NULL auto_increment,
  gid int(6) NOT NULL default '0',
  sequence int(6) NOT NULL default '0',
  realm int(4) NOT NULL default '0',
  component varchar(255) NOT NULL default '',
  instance varchar(255) NOT NULL default '',
  level int(4) NOT NULL default '0',
  bond int(2) NOT NULL default '0',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_group_perms`
#

INSERT INTO nuke_group_perms (pid, gid, sequence, realm, component, instance, level, bond) VALUES (1, 2, 1, 0, '.*', '.*', 800, 0);
INSERT INTO nuke_group_perms (pid, gid, sequence, realm, component, instance, level, bond) VALUES (2, -1, 2, 0, 'Menublock::', 'Main Menu:Administration:', 0, 0);
INSERT INTO nuke_group_perms (pid, gid, sequence, realm, component, instance, level, bond) VALUES (3, 1, 3, 0, '.*', '.*', 300, 0);
INSERT INTO nuke_group_perms (pid, gid, sequence, realm, component, instance, level, bond) VALUES (4, 0, 4, 0, 'Menublock::', 'Main Menu:(My Account|Logout|Submit News):', 0, 0);
INSERT INTO nuke_group_perms (pid, gid, sequence, realm, component, instance, level, bond) VALUES (5, 0, 5, 0, '.*', '.*', 200, 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_groups`
#

DROP TABLE IF EXISTS nuke_groups;
CREATE TABLE nuke_groups (
  gid int(6) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (gid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_groups`
#

INSERT INTO nuke_groups (gid, name) VALUES (1, 'Users');
INSERT INTO nuke_groups (gid, name) VALUES (2, 'Admins');
# --------------------------------------------------------

#
# Table structure for table `nuke_headlines`
#

DROP TABLE IF EXISTS nuke_headlines;
CREATE TABLE nuke_headlines (
  id int(10) unsigned NOT NULL auto_increment,
  sitename varchar(255) NOT NULL default '',
  rssuser varchar(10) default NULL,
  rsspasswd varchar(10) default NULL,
  use_proxy tinyint(3) NOT NULL default '0',
  rssurl varchar(255) NOT NULL default '',
  maxrows tinyint(3) NOT NULL default '10',
  siteurl varchar(255) NOT NULL default '',
  options varchar(20) default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_headlines`
#

INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (1, 'Post-Nuke', NULL, NULL, 0, 'http://postnuke.com/backend.php', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (2, 'LinuxCentral', NULL, NULL, 0, 'http://linuxcentral.com/backend/lcnew.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (3, 'Slashdot', NULL, NULL, 0, 'http://slashdot.org/slashdot.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (4, 'NewsForge', NULL, NULL, 0, 'http://www.newsforge.com/newsforge.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (5, 'PHPBuilder', NULL, NULL, 0, 'http://phpbuilder.com/rss_feed.php', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (6, 'Linux.com', NULL, NULL, 0, 'http://linux.com/mrn/front_page.rss', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (7, 'Freshmeat', NULL, NULL, 0, 'http://freshmeat.net/backend/fm.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (8, 'AppWatch', NULL, NULL, 0, 'http://static.appwatch.com/appwatch.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (9, 'LinuxWeelyNews', NULL, NULL, 0, 'http://lwn.net/headlines/rss', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (10, 'HappyPenguin', NULL, NULL, 0, 'http://happypenguin.org/html/news.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (11, 'Segfault', NULL, NULL, 0, 'http://segfault.org/stories.xml', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (13, 'KDE', NULL, NULL, 0, 'http://www.kde.org/news/kdenews.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (14, 'Perl.com', NULL, NULL, 0, 'http://www.perl.com/pace/perlnews.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (15, 'Themes.org', NULL, NULL, 0, 'http://www.themes.org/news.rdf.phtml', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (16, 'BrunchingShuttlecocks', NULL, NULL, 0, 'http://www.brunching.com/brunching.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (17, 'MozillaNewsBot', NULL, NULL, 0, 'http://www.mozilla.org/newsbot/newsbot.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (18, 'NewsTrolls', NULL, NULL, 0, 'http://newstrolls.com/newstrolls.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (19, 'FreakTech', NULL, NULL, 0, 'http://sunsite.auc.dk/FreakTech/FreakTech.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (20, 'AbsoluteGames', NULL, NULL, 0, 'http://files.gameaholic.com/agfa.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (21, 'SciFi-News', NULL, NULL, 0, 'http://www.technopagan.org/sf-news/rdf.php', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (22, 'SisterMachineGun', NULL, NULL, 0, 'http://www.smg.org/index/mynetscape.html', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (23, 'LinuxM68k', NULL, NULL, 0, 'http://www.linux-m68k.org/linux-m68k.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (24, 'Protest.net', NULL, NULL, 0, 'http://www.protest.net/netcenter_rdf.cgi', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (25, 'HollywoodBitchslap', NULL, NULL, 0, 'http://hollywoodbitchslap.com/hbs.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (26, 'DrDobbsTechNetCast', NULL, NULL, 0, 'http://www.technetcast.com/tnc_headlines.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (27, 'RivaExtreme', NULL, NULL, 0, 'http://rivaextreme.com/ssi/rivaextreme.rdf.cdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (28, 'Linuxpower', NULL, NULL, 0, 'http://linuxpower.org/linuxpower.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (29, 'PBSOnline', NULL, NULL, 0, 'http://cgi.pbs.org/cgi-registry/featuresrdf.pl', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (30, 'Listology', NULL, NULL, 0, 'http://listology.com/recent.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (31, 'Linuxdev.net', NULL, NULL, 0, 'http://linuxdev.net/archive/news.cdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (32, 'LinuxNewbie', NULL, NULL, 0, 'http://www.linuxnewbie.org/news.cdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (33, 'exoScience', NULL, NULL, 0, 'http://www.exosci.com/exosci.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (34, 'Technocrat', NULL, NULL, 0, 'http://technocrat.net/rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (35, 'PDABuzz', NULL, NULL, 0, 'http://www.pdabuzz.com/netscape.txt', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (36, 'MicroUnices', NULL, NULL, 0, 'http://mu.current.nu/mu.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (37, 'TheNextLevel', NULL, NULL, 0, 'http://www.the-nextlevel.com/rdf/tnl.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (38, 'Gnotices', NULL, NULL, 0, 'http://news.gnome.org/gnome-news/rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (39, 'DailyDaemonNews', NULL, NULL, 0, 'http://daily.daemonnews.org/ddn.rdf.php3', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (40, 'PerlMonks', NULL, NULL, 0, 'http://www.perlmonks.org/headlines.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (41, 'PerlNews', NULL, NULL, 0, 'http://news.perl.org/perl-news-short.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (42, 'BSDToday', NULL, NULL, 0, 'http://www.bsdtoday.com/backend/bt.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (43, 'DotKDE', NULL, NULL, 0, 'http://dot.kde.org/rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (44, 'GeekNik', NULL, NULL, 0, 'http://www.geeknik.net/backend/weblog.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (45, 'HotWired', NULL, NULL, 0, 'http://www.hotwired.com/webmonkey/meta/headlines.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (46, 'JustLinux', NULL, NULL, 0, 'http://www.justlinux.com/backend/features.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (47, 'LAN-Systems', NULL, NULL, 0, 'http://www.lansystems.com/backend/gazette_news_backend.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (48, 'DigitalTheatre', NULL, NULL, 0, 'http://www.dtheatre.com/backend.php3?xml=yes', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (49, 'Linux.nu', NULL, NULL, 0, 'http://www.linux.nu/backend/lnu.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (50, 'Lin-x-pert', NULL, NULL, 0, 'http://www.lin-x-pert.com/linxpert_apps.rdf', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (51, 'MaximumBSD1', NULL, NULL, 0, 'http://www.maximumbsd.com/backend/weblog.rdf1', 10, '', '');
INSERT INTO nuke_headlines (id, sitename, rssuser, rsspasswd, use_proxy, rssurl, maxrows, siteurl, options) VALUES (52, 'SolarisCentral', NULL, NULL, 0, 'http://www.SolarisCentral.org/news/SolarisCentral.rdf', 10, '', '');
# --------------------------------------------------------

#
# Table structure for table `nuke_languages_constant`
#

DROP TABLE IF EXISTS nuke_languages_constant;
CREATE TABLE nuke_languages_constant (
  constant varchar(32) NOT NULL default '',
  file varchar(64) NOT NULL default '',
  PRIMARY KEY  (constant)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_languages_constant`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_languages_file`
#

DROP TABLE IF EXISTS nuke_languages_file;
CREATE TABLE nuke_languages_file (
  target varchar(64) NOT NULL default '',
  source varchar(64) NOT NULL default '',
  PRIMARY KEY  (target,source),
  UNIQUE KEY source (source)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_languages_file`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_languages_translation`
#

DROP TABLE IF EXISTS nuke_languages_translation;
CREATE TABLE nuke_languages_translation (
  language varchar(32) NOT NULL default '',
  constant varchar(32) NOT NULL default '',
  translation varchar(255) NOT NULL default '',
  level tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (constant,language)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_languages_translation`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_categories`
#

DROP TABLE IF EXISTS nuke_links_categories;
CREATE TABLE nuke_links_categories (
  cat_id int(11) NOT NULL auto_increment,
  parent_id int(11) default NULL,
  title varchar(50) NOT NULL default '',
  cdescription text NOT NULL,
  PRIMARY KEY  (cat_id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_categories`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_editorials`
#

DROP TABLE IF EXISTS nuke_links_editorials;
CREATE TABLE nuke_links_editorials (
  linkid int(11) NOT NULL default '0',
  adminid varchar(60) NOT NULL default '',
  editorialtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  editorialtext text NOT NULL,
  editorialtitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (linkid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_editorials`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_links`
#

DROP TABLE IF EXISTS nuke_links_links;
CREATE TABLE nuke_links_links (
  lid int(11) NOT NULL auto_increment,
  cat_id int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  date datetime default NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  hits int(11) NOT NULL default '0',
  submitter varchar(60) NOT NULL default '',
  linkratingsummary double(6,4) NOT NULL default '0.0000',
  totalvotes int(11) NOT NULL default '0',
  totalcomments int(11) NOT NULL default '0',
  PRIMARY KEY  (lid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_links`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_modrequest`
#

DROP TABLE IF EXISTS nuke_links_modrequest;
CREATE TABLE nuke_links_modrequest (
  requestid int(11) NOT NULL auto_increment,
  lid int(11) NOT NULL default '0',
  cat_id int(11) NOT NULL default '0',
  sid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  modifysubmitter varchar(60) NOT NULL default '',
  brokenlink int(3) NOT NULL default '0',
  PRIMARY KEY  (requestid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_modrequest`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_newlink`
#

DROP TABLE IF EXISTS nuke_links_newlink;
CREATE TABLE nuke_links_newlink (
  lid int(11) NOT NULL auto_increment,
  cat_id int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  description text NOT NULL,
  name varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  submitter varchar(60) NOT NULL default '',
  PRIMARY KEY  (lid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_newlink`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_links_votedata`
#

DROP TABLE IF EXISTS nuke_links_votedata;
CREATE TABLE nuke_links_votedata (
  ratingdbid int(11) NOT NULL auto_increment,
  ratinglid int(11) NOT NULL default '0',
  ratinguser varchar(60) NOT NULL default '',
  rating int(11) NOT NULL default '0',
  ratinghostname varchar(60) NOT NULL default '',
  ratingcomments text NOT NULL,
  ratingtimestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (ratingdbid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_links_votedata`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_message`
#

DROP TABLE IF EXISTS nuke_message;
CREATE TABLE nuke_message (
  mid int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL default '',
  content text NOT NULL,
  date varchar(14) NOT NULL default '',
  expire int(7) NOT NULL default '0',
  active int(1) NOT NULL default '1',
  view int(1) NOT NULL default '1',
  mlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (mid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_message`
#

INSERT INTO nuke_message (mid, title, content, date, expire, active, view, mlanguage) VALUES (1, 'Vtejte v Edunix Webu 1.0', '<P>Edunix Web vznikl z <A href="http://www.owebu.net/">Nuke CZ</a>, kter je eskou verz <A href="http://www.postnuke.com/">Post-Nuke</a> Content Management Systmu (CMS).</p>\r\n<P>Tento systm umouje zveejovn <B>nkolika</b> zprv, viditelnch podle typu uivatel...</p>\r\n<P>Projekt Edunix Web je soust projektu EdUNIX.</p>\r\n<P>Cel projekt je zasteovn Jednotou kolskch informatik.<BR></p>', '993373194', 0, 1, 1, '');
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_banned`
#

DROP TABLE IF EXISTS nuke_nuke_banned;
CREATE TABLE nuke_nuke_banned (
  ip1 smallint(3) NOT NULL default '0',
  ip2 smallint(3) NOT NULL default '0',
  ip3 smallint(3) NOT NULL default '0',
  ip4 smallint(3) NOT NULL default '0',
  dateline bigint(30) NOT NULL default '0',
  id smallint(6) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_banned`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_forums`
#

DROP TABLE IF EXISTS nuke_nuke_forums;
CREATE TABLE nuke_nuke_forums (
  type varchar(15) NOT NULL default '',
  fid smallint(6) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  status varchar(15) NOT NULL default '',
  lastpost varchar(30) NOT NULL default '',
  moderator varchar(100) NOT NULL default '',
  displayorder smallint(6) NOT NULL default '0',
  private varchar(30) default NULL,
  description text,
  allowhtml char(3) NOT NULL default '',
  allowsmilies char(3) NOT NULL default '',
  allowbbcode char(3) NOT NULL default '',
  guestposting char(3) NOT NULL default '',
  userlist text NOT NULL,
  theme varchar(30) NOT NULL default '',
  posts int(100) NOT NULL default '0',
  threads int(100) NOT NULL default '0',
  fup smallint(6) NOT NULL default '0',
  postperm char(3) NOT NULL default '',
  allowimgcode char(3) NOT NULL default '',
  PRIMARY KEY  (fid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_forums`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_members`
#

DROP TABLE IF EXISTS nuke_nuke_members;
CREATE TABLE nuke_nuke_members (
  uid smallint(6) NOT NULL auto_increment,
  username varchar(25) NOT NULL default '',
  password varchar(40) NOT NULL default '',
  regdate bigint(30) NOT NULL default '0',
  postnum smallint(6) NOT NULL default '0',
  email varchar(60) default NULL,
  site varchar(75) default NULL,
  aim varchar(40) default NULL,
  status varchar(35) NOT NULL default '',
  location varchar(50) default NULL,
  bio text,
  sig text,
  showemail varchar(15) NOT NULL default '',
  timeoffset int(5) NOT NULL default '0',
  icq varchar(30) NOT NULL default '',
  avatar varchar(90) default NULL,
  yahoo varchar(40) NOT NULL default '',
  customstatus varchar(100) NOT NULL default '',
  theme varchar(30) NOT NULL default '',
  bday varchar(50) default NULL,
  langfile varchar(40) NOT NULL default '',
  tpp smallint(6) NOT NULL default '0',
  ppp smallint(6) NOT NULL default '0',
  newsletter char(3) NOT NULL default '',
  regip varchar(40) NOT NULL default '',
  timeformat int(5) NOT NULL default '0',
  msn varchar(40) NOT NULL default '',
  dateformat varchar(10) NOT NULL default '',
  ignoreu2u text,
  lastvisit bigint(30) default NULL,
  PRIMARY KEY  (uid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_members`
#

INSERT INTO nuke_nuke_members (uid, username, password, regdate, postnum, email, site, aim, status, location, bio, sig, showemail, timeoffset, icq, avatar, yahoo, customstatus, theme, bday, langfile, tpp, ppp, newsletter, regip, timeformat, msn, dateformat, ignoreu2u, lastvisit) VALUES (1, 'DemoAdmin', 'fe01ce2a7fbac8fafaed7c982a04e229', 1043163473, 0, 'demo@admin-hranice.cz', 'http://www.admin-hranice.cz/nukedemo', '', 'Administrator', '', '', '', 'no', 0, '', 'blank.gif', '', '', '', '', '', 25, 30, 'no', '', 24, '', 'dd/mm/yyyy', '', 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_posts`
#

DROP TABLE IF EXISTS nuke_nuke_posts;
CREATE TABLE nuke_nuke_posts (
  fid smallint(6) NOT NULL default '0',
  tid smallint(6) NOT NULL default '0',
  pid smallint(8) NOT NULL auto_increment,
  author varchar(40) NOT NULL default '',
  message text NOT NULL,
  dateline bigint(30) NOT NULL default '0',
  icon varchar(50) default NULL,
  usesig varchar(15) NOT NULL default '',
  useip varchar(40) NOT NULL default '',
  bbcodeoff varchar(15) NOT NULL default '',
  smileyoff varchar(15) NOT NULL default '',
  emailnotify varchar(15) NOT NULL default '',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_posts`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_ranks`
#

DROP TABLE IF EXISTS nuke_nuke_ranks;
CREATE TABLE nuke_nuke_ranks (
  title varchar(40) NOT NULL default '',
  posts smallint(6) NOT NULL default '0',
  id smallint(6) NOT NULL auto_increment,
  stars smallint(6) NOT NULL default '0',
  allowavatars char(3) NOT NULL default '',
  avatarrank varchar(90) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_ranks`
#

INSERT INTO nuke_nuke_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Newbie', 1, 1, 1, 'yes', '');
INSERT INTO nuke_nuke_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Junior Member', 2, 2, 2, 'yes', '');
INSERT INTO nuke_nuke_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Member', 100, 3, 3, 'yes', '');
INSERT INTO nuke_nuke_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Senior Member', 500, 4, 4, 'yes', '');
INSERT INTO nuke_nuke_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Posting Freak', 1000, 5, 5, 'yes', '');
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_smilies`
#

DROP TABLE IF EXISTS nuke_nuke_smilies;
CREATE TABLE nuke_nuke_smilies (
  type varchar(15) NOT NULL default '',
  code varchar(40) NOT NULL default '',
  url varchar(40) NOT NULL default '',
  id smallint(6) NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_smilies`
#

INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':)', 'smilies/smile.gif', 1);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':(', 'smilies/sad.gif', 2);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':D', 'smilies/bigsmile.gif', 3);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ';)', 'smilies/wink.gif', 4);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':cool:', 'smilies/cool.gif', 5);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':mad:', 'smilies/mad.gif', 6);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':o', 'smilies/shocked.gif', 7);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('smiley', ':P', 'smilies/tongue.gif', 8);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/smile.gif', 9);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/sad.gif', 10);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/bigsmile.gif', 11);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/wink.gif', 12);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/cool.gif', 13);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/mad.gif', 14);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/shocked.gif', 15);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/tongue.gif', 16);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/exclamation.gif', 17);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/question.gif', 18);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/thumbup.gif', 19);
INSERT INTO nuke_nuke_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/thumbdown.gif', 20);
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_themes`
#

DROP TABLE IF EXISTS nuke_nuke_themes;
CREATE TABLE nuke_nuke_themes (
  name varchar(30) NOT NULL default '',
  bgcolor varchar(15) NOT NULL default '',
  altbg1 varchar(15) NOT NULL default '',
  altbg2 varchar(15) NOT NULL default '',
  link varchar(15) NOT NULL default '',
  bordercolor varchar(15) NOT NULL default '',
  header varchar(15) NOT NULL default '',
  headertext varchar(15) NOT NULL default '',
  top varchar(15) NOT NULL default '',
  catcolor varchar(15) NOT NULL default '',
  tabletext varchar(15) NOT NULL default '',
  text varchar(15) NOT NULL default '',
  borderwidth varchar(15) NOT NULL default '',
  tablewidth varchar(15) NOT NULL default '',
  tablespace varchar(15) NOT NULL default '',
  font varchar(40) NOT NULL default '',
  fontsize varchar(40) NOT NULL default '',
  altfont varchar(40) NOT NULL default '',
  altfontsize varchar(40) NOT NULL default '',
  replyimg varchar(50) default NULL,
  newtopicimg varchar(50) default NULL,
  boardimg varchar(50) default NULL,
  postscol varchar(5) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_themes`
#

INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('gray', '#ffffff', '#dededf', '#eeeeee', '#333399', '#778899', '#778899', '#ffffff', '#eeeeee', '#dcdcde', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('blue', '#ffffff', '#b0c0d0', '#d0e0f0', '#cc6600', '#000000', '#e0f0f9', '#000000', '#d0e0f0', '#b0c0d4', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('hacknuke', '#2a2f79', '#2a2f79', '#2a2f79', '#ff9900', '#000000', '#ff9900', '#000000', '#000000', '#2a2f79', '#ffffff', '#000000', '1', '97%', '2', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('coursapied', '#ffffff', '#dededf', '#eeeeee', '#333399', '#9999ff', '#9999ff', '#ffffff', '#eeeeee', '#dcdcde', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Arial', '10px', '', '', '', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('postnuke', '#f6f7eb', '#e1e4ce', '#f6f7eb', '#000000', '#b1b78b', '#d9dcc2', '#000000', '#b1b78b', '#e1e4ce', '#000000', '#000000', '1', '97%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('default', '#ffffff', '#ffffff', '#ffffff', '#000000', '#000000', '#ffffff', '#000000', '#ffffff', '#ffffff', '#000000', '#000000', '1', '97%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
INSERT INTO nuke_nuke_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('XMB2', '#ffffff', '#e3e3ea', '#eeeef6', '#404060', '#ffffff', '#505070', '#ffffff', '#ffffff', '#dedee6', '#000033', '#000022', '1', '90%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_threads`
#

DROP TABLE IF EXISTS nuke_nuke_threads;
CREATE TABLE nuke_nuke_threads (
  tid smallint(6) NOT NULL auto_increment,
  fid smallint(6) NOT NULL default '0',
  subject varchar(100) NOT NULL default '',
  lastpost varchar(30) NOT NULL default '',
  views int(100) NOT NULL default '0',
  replies int(100) NOT NULL default '0',
  author varchar(40) NOT NULL default '',
  message text NOT NULL,
  dateline bigint(30) NOT NULL default '0',
  icon varchar(50) default NULL,
  usesig varchar(15) NOT NULL default '',
  closed varchar(15) NOT NULL default '',
  topped smallint(6) NOT NULL default '0',
  useip varchar(40) NOT NULL default '',
  bbcodeoff varchar(15) NOT NULL default '',
  smileyoff varchar(15) NOT NULL default '',
  emailnotify varchar(15) NOT NULL default '',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_threads`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_whosonline`
#

DROP TABLE IF EXISTS nuke_nuke_whosonline;
CREATE TABLE nuke_nuke_whosonline (
  username varchar(40) NOT NULL default '',
  ip varchar(40) NOT NULL default '',
  time bigint(40) NOT NULL default '0',
  location varchar(150) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_whosonline`
#

INSERT INTO nuke_nuke_whosonline (username, ip, time, location) VALUES ('onlinerecord', '-1', 0, '');
# --------------------------------------------------------

#
# Table structure for table `nuke_nuke_words`
#

DROP TABLE IF EXISTS nuke_nuke_words;
CREATE TABLE nuke_nuke_words (
  find varchar(60) NOT NULL default '',
  replace1 varchar(60) NOT NULL default '',
  id smallint(6) NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nuke_words`
#

INSERT INTO nuke_nuke_words (find, replace1, id) VALUES ('damn', '****', 1);
INSERT INTO nuke_nuke_words (find, replace1, id) VALUES ('shit', '****', 2);
INSERT INTO nuke_nuke_words (find, replace1, id) VALUES ('fuck', '****', 3);
INSERT INTO nuke_nuke_words (find, replace1, id) VALUES ('bitch', '*****', 4);
INSERT INTO nuke_nuke_words (find, replace1, id) VALUES ('ass', '***', 5);
# --------------------------------------------------------

#
# Table structure for table `nuke_nukebook`
#

DROP TABLE IF EXISTS nuke_nukebook;
CREATE TABLE nuke_nukebook (
  id_msg int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  email varchar(255) default NULL,
  ip varchar(255) NOT NULL default '',
  message text NOT NULL,
  icq int(11) default NULL,
  homepage varchar(255) default NULL,
  bdate datetime NOT NULL default '0000-00-00 00:00:00',
  members int(2) NOT NULL default '0',
  private int(2) NOT NULL default '0',
  PRIMARY KEY  (id_msg)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_nukebook`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_poll_check`
#

DROP TABLE IF EXISTS nuke_poll_check;
CREATE TABLE nuke_poll_check (
  ip varchar(20) NOT NULL default '',
  time varchar(14) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `nuke_poll_check`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_poll_data`
#

DROP TABLE IF EXISTS nuke_poll_data;
CREATE TABLE nuke_poll_data (
  pollID int(11) NOT NULL default '0',
  optionText char(50) NOT NULL default '',
  optionCount int(11) NOT NULL default '0',
  voteID int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_poll_data`
#

INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 12);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 11);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 10);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 9);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 8);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 7);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 6);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, '', 0, 5);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, 'Nesnm ho!', 0, 4);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, 'Co to je NUKE?', 0, 3);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, 'To je to co potebujeme!', 0, 2);
INSERT INTO nuke_poll_data (pollID, optionText, optionCount, voteID) VALUES (2, 'Myslet? J ho mm!', 0, 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_poll_desc`
#

DROP TABLE IF EXISTS nuke_poll_desc;
CREATE TABLE nuke_poll_desc (
  pollID int(11) NOT NULL auto_increment,
  pollTitle varchar(100) NOT NULL default '',
  timeStamp int(11) NOT NULL default '0',
  voters mediumint(9) NOT NULL default '0',
  planguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (pollID)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_poll_desc`
#

INSERT INTO nuke_poll_desc (pollID, pollTitle, timeStamp, voters, planguage) VALUES (2, 'Co si myslte o NUKE?', 995385085, 0, '');
# --------------------------------------------------------

#
# Table structure for table `nuke_pollcomments`
#

DROP TABLE IF EXISTS nuke_pollcomments;
CREATE TABLE nuke_pollcomments (
  tid int(11) NOT NULL auto_increment,
  pid int(11) default '0',
  pollID int(11) default '0',
  date datetime default NULL,
  name varchar(60) NOT NULL default '',
  email varchar(60) default NULL,
  url varchar(60) default NULL,
  host_name varchar(60) default NULL,
  subject varchar(60) NOT NULL default '',
  comment text NOT NULL,
  score tinyint(4) NOT NULL default '0',
  reason tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_pollcomments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_priv_msgs`
#

DROP TABLE IF EXISTS nuke_priv_msgs;
CREATE TABLE nuke_priv_msgs (
  msg_id int(10) NOT NULL auto_increment,
  msg_image varchar(100) default NULL,
  subject varchar(100) default NULL,
  from_userid int(10) NOT NULL default '0',
  to_userid int(10) NOT NULL default '0',
  msg_time varchar(20) default NULL,
  msg_text text,
  read_msg tinyint(10) NOT NULL default '0',
  PRIMARY KEY  (msg_id),
  KEY to_userid (to_userid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_priv_msgs`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_queue`
#

DROP TABLE IF EXISTS nuke_queue;
CREATE TABLE nuke_queue (
  qid smallint(5) unsigned NOT NULL auto_increment,
  uid mediumint(9) NOT NULL default '0',
  arcd int(1) NOT NULL default '0',
  uname varchar(40) NOT NULL default '',
  subject varchar(100) NOT NULL default '',
  story text,
  timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  topic varchar(20) NOT NULL default '',
  alanguage varchar(30) NOT NULL default '',
  bodytext text,
  PRIMARY KEY  (qid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_queue`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_quotes`
#

DROP TABLE IF EXISTS nuke_quotes;
CREATE TABLE nuke_quotes (
  qid int(10) unsigned NOT NULL auto_increment,
  quote text,
  author varchar(150) NOT NULL default '',
  PRIMARY KEY  (qid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_quotes`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_realms`
#

DROP TABLE IF EXISTS nuke_realms;
CREATE TABLE nuke_realms (
  rid int(4) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_realms`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_rediract`
#

DROP TABLE IF EXISTS nuke_rediract;
CREATE TABLE nuke_rediract (
  actuid int(11) NOT NULL default '0',
  link varchar(255) default NULL,
  impres int(11) default NULL,
  PRIMARY KEY  (actuid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_rediract`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_referer`
#

DROP TABLE IF EXISTS nuke_referer;
CREATE TABLE nuke_referer (
  rid int(11) NOT NULL auto_increment,
  url varchar(100) NOT NULL default '',
  frequency int(15) default NULL,
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_referer`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_related`
#

DROP TABLE IF EXISTS nuke_related;
CREATE TABLE nuke_related (
  rid int(11) NOT NULL auto_increment,
  tid int(11) NOT NULL default '0',
  name varchar(30) NOT NULL default '',
  url varchar(200) NOT NULL default '',
  PRIMARY KEY  (rid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_related`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews`
#

DROP TABLE IF EXISTS nuke_reviews;
CREATE TABLE nuke_reviews (
  id int(10) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) default NULL,
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  cover varchar(100) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  hits int(10) NOT NULL default '0',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_reviews`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_add`
#

DROP TABLE IF EXISTS nuke_reviews_add;
CREATE TABLE nuke_reviews_add (
  id int(10) NOT NULL auto_increment,
  date date default NULL,
  title varchar(150) NOT NULL default '',
  text text NOT NULL,
  reviewer varchar(20) NOT NULL default '',
  email varchar(60) default NULL,
  score int(10) NOT NULL default '0',
  url varchar(100) NOT NULL default '',
  url_title varchar(50) NOT NULL default '',
  rlanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_reviews_add`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_comments`
#

DROP TABLE IF EXISTS nuke_reviews_comments;
CREATE TABLE nuke_reviews_comments (
  cid int(10) NOT NULL auto_increment,
  rid int(10) NOT NULL default '0',
  userid varchar(25) NOT NULL default '',
  date datetime default NULL,
  comments text,
  score int(10) NOT NULL default '0',
  PRIMARY KEY  (cid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_reviews_comments`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_reviews_main`
#

DROP TABLE IF EXISTS nuke_reviews_main;
CREATE TABLE nuke_reviews_main (
  title varchar(100) default NULL,
  description text
) TYPE=MyISAM;

#
# Dumping data for table `nuke_reviews_main`
#

INSERT INTO nuke_reviews_main (title, description) VALUES ('Reviews Section Title', 'Reviews Section Long Description');
# --------------------------------------------------------

#
# Table structure for table `nuke_seccont`
#

DROP TABLE IF EXISTS nuke_seccont;
CREATE TABLE nuke_seccont (
  artid int(11) NOT NULL auto_increment,
  secid int(11) NOT NULL default '0',
  title text NOT NULL,
  content text NOT NULL,
  counter int(11) NOT NULL default '0',
  slanguage varchar(30) NOT NULL default '',
  PRIMARY KEY  (artid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_seccont`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_sections`
#

DROP TABLE IF EXISTS nuke_sections;
CREATE TABLE nuke_sections (
  secid int(11) NOT NULL auto_increment,
  secname varchar(40) NOT NULL default '',
  image varchar(50) NOT NULL default '',
  PRIMARY KEY  (secid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_sections`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_session`
#

DROP TABLE IF EXISTS nuke_session;
CREATE TABLE nuke_session (
  username varchar(25) NOT NULL default '',
  time varchar(14) NOT NULL default '',
  host_addr varchar(20) NOT NULL default '',
  guest int(1) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_session`
#

INSERT INTO nuke_session (username, time, host_addr, guest) VALUES ('127.0.0.2', '1050251592', '127.0.0.2', 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_stats_date`
#

DROP TABLE IF EXISTS nuke_stats_date;
CREATE TABLE nuke_stats_date (
  date varchar(80) NOT NULL default '',
  hits int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stats_date`
#

INSERT INTO nuke_stats_date (date, hits) VALUES ('01012003', 0);
INSERT INTO nuke_stats_date (date, hits) VALUES ('01012003', 0);
INSERT INTO nuke_stats_date (date, hits) VALUES ('01012003', 0);
INSERT INTO nuke_stats_date (date, hits) VALUES ('01012003', 0);
INSERT INTO nuke_stats_date (date, hits) VALUES ('13042003', 1);
# --------------------------------------------------------

#
# Table structure for table `nuke_stats_hour`
#

DROP TABLE IF EXISTS nuke_stats_hour;
CREATE TABLE nuke_stats_hour (
  hour tinyint(2) unsigned NOT NULL default '0',
  hits int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stats_hour`
#

INSERT INTO nuke_stats_hour (hour, hits) VALUES (0, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (1, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (2, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (3, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (4, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (5, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (6, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (7, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (8, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (9, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (10, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (11, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (12, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (13, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (14, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (15, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (16, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (17, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (18, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (19, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (20, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (21, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (22, 0);
INSERT INTO nuke_stats_hour (hour, hits) VALUES (23, 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_stats_month`
#

DROP TABLE IF EXISTS nuke_stats_month;
CREATE TABLE nuke_stats_month (
  month tinyint(2) unsigned NOT NULL default '0',
  hits int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stats_month`
#

INSERT INTO nuke_stats_month (month, hits) VALUES (1, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (2, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (3, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (4, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (5, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (6, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (7, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (8, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (9, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (10, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (11, 0);
INSERT INTO nuke_stats_month (month, hits) VALUES (12, 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_stats_week`
#

DROP TABLE IF EXISTS nuke_stats_week;
CREATE TABLE nuke_stats_week (
  weekday tinyint(1) unsigned NOT NULL default '0',
  hits int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stats_week`
#

INSERT INTO nuke_stats_week (weekday, hits) VALUES (0, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (1, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (2, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (3, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (4, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (5, 0);
INSERT INTO nuke_stats_week (weekday, hits) VALUES (6, 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_stories`
#

DROP TABLE IF EXISTS nuke_stories;
CREATE TABLE nuke_stories (
  sid int(11) NOT NULL auto_increment,
  catid int(11) NOT NULL default '0',
  aid varchar(30) NOT NULL default '',
  title varchar(80) default NULL,
  time datetime default NULL,
  hometext text,
  bodytext text NOT NULL,
  comments int(11) default '0',
  counter mediumint(8) unsigned default NULL,
  topic int(3) NOT NULL default '1',
  informant varchar(20) NOT NULL default '',
  notes text NOT NULL,
  ihome int(1) NOT NULL default '0',
  themeoverride varchar(30) NOT NULL default '',
  alanguage varchar(30) NOT NULL default '',
  withcomm int(1) NOT NULL default '0',
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stories`
#

INSERT INTO nuke_stories (sid, catid, aid, title, time, hometext, bodytext, comments, counter, topic, informant, notes, ihome, themeoverride, alanguage, withcomm) VALUES (1, 0, '2', 'Projekt Edunix', '2003-02-01 14:49:03', 'EdUNIX je zkratka pro projekt "Education with UNIX" (Vzdlvn s Unixem)', 'Web, kter pouvte, je soust tohoto projektu.', 0, 1, 4, 'Administrtor', '', 0, '', 'ces', 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_stories_cat`
#

DROP TABLE IF EXISTS nuke_stories_cat;
CREATE TABLE nuke_stories_cat (
  catid int(11) NOT NULL auto_increment,
  title varchar(40) NOT NULL default '',
  counter int(11) NOT NULL default '0',
  themeoverride varchar(30) NOT NULL default '',
  PRIMARY KEY  (catid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_stories_cat`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_topics`
#

DROP TABLE IF EXISTS nuke_topics;
CREATE TABLE nuke_topics (
  topicid int(3) NOT NULL auto_increment,
  topicname varchar(255) default NULL,
  topicimage varchar(255) default NULL,
  topictext varchar(255) default NULL,
  counter int(11) NOT NULL default '0',
  PRIMARY KEY  (topicid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_topics`
#

INSERT INTO nuke_topics (topicid, topicname, topicimage, topictext, counter) VALUES (4, 'Linux', 'linux.png', 'Linux', 0);
INSERT INTO nuke_topics (topicid, topicname, topicimage, topictext, counter) VALUES (3, 'NUKE CZ', 'nuke.png', 'NUKE CZ', 0);
INSERT INTO nuke_topics (topicid, topicname, topicimage, topictext, counter) VALUES (1, 'All Topics', 'empty.png', 'All Topics', 0);
# --------------------------------------------------------

#
# Table structure for table `nuke_user_perms`
#

DROP TABLE IF EXISTS nuke_user_perms;
CREATE TABLE nuke_user_perms (
  pid int(11) NOT NULL auto_increment,
  uid int(11) NOT NULL default '0',
  sequence int(6) NOT NULL default '0',
  realm int(4) NOT NULL default '0',
  component varchar(255) NOT NULL default '',
  instance varchar(255) NOT NULL default '',
  level int(4) NOT NULL default '0',
  bond int(2) NOT NULL default '0',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_user_perms`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_userblocks`
#

DROP TABLE IF EXISTS nuke_userblocks;
CREATE TABLE nuke_userblocks (
  uid int(11) NOT NULL default '0',
  bid int(10) NOT NULL default '0',
  active tinyint(3) NOT NULL default '1',
  last_update timestamp(14) NOT NULL
) TYPE=MyISAM;

#
# Dumping data for table `nuke_userblocks`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_users`
#

DROP TABLE IF EXISTS nuke_users;
CREATE TABLE nuke_users (
  uid int(11) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  uname varchar(25) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  femail varchar(60) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  user_avatar varchar(30) default NULL,
  user_regdate varchar(20) NOT NULL default '',
  user_icq varchar(15) default NULL,
  user_occ varchar(100) default NULL,
  user_from varchar(100) default NULL,
  user_intrest varchar(150) default NULL,
  user_sig varchar(255) default NULL,
  user_viewemail tinyint(2) default NULL,
  user_theme int(3) default NULL,
  user_aim varchar(18) default NULL,
  user_yim varchar(25) default NULL,
  user_msnm varchar(25) default NULL,
  pass varchar(40) NOT NULL default '',
  storynum tinyint(4) NOT NULL default '10',
  umode varchar(10) NOT NULL default '',
  uorder tinyint(1) NOT NULL default '0',
  thold tinyint(1) NOT NULL default '0',
  noscore tinyint(1) NOT NULL default '0',
  bio tinytext NOT NULL,
  ublockon tinyint(1) NOT NULL default '0',
  ublock tinytext NOT NULL,
  theme varchar(255) NOT NULL default '',
  commentmax int(11) NOT NULL default '4096',
  counter int(11) NOT NULL default '0',
  timezone_offset float(3,1) NOT NULL default '0.0',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_users`
#

INSERT INTO nuke_users (uid, name, uname, email, femail, url, user_avatar, user_regdate, user_icq, user_occ, user_from, user_intrest, user_sig, user_viewemail, user_theme, user_aim, user_yim, user_msnm, pass, storynum, umode, uorder, thold, noscore, bio, ublockon, ublock, theme, commentmax, counter, timezone_offset) VALUES (1, '', 'Anonymous', '', '', '', 'blank.gif', 'Nov 10, 2000', '', '', '', '', '', 0, 0, '', '', '', '', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, '12.0');
INSERT INTO nuke_users (uid, name, uname, email, femail, url, user_avatar, user_regdate, user_icq, user_occ, user_from, user_intrest, user_sig, user_viewemail, user_theme, user_aim, user_yim, user_msnm, pass, storynum, umode, uorder, thold, noscore, bio, ublockon, ublock, theme, commentmax, counter, timezone_offset) VALUES (2, 'Administrtor', 'edunix_admin', 'admin@vasedomena.cz', '', 'http://www.vasedomena.cz', '', '', '', '', '', '', '', 0, 0, '', '', '', '586a1dab3d7eb5a80e209f291bcb0367', 10, '', 0, 0, 0, '', 0, '', 'EdunixWeb', 4096, 0, '13.0');
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_banned`
#

DROP TABLE IF EXISTS nuke_xmb_banned;
CREATE TABLE nuke_xmb_banned (
  ip1 smallint(3) NOT NULL default '0',
  ip2 smallint(3) NOT NULL default '0',
  ip3 smallint(3) NOT NULL default '0',
  ip4 smallint(3) NOT NULL default '0',
  dateline bigint(30) NOT NULL default '0',
  id smallint(6) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_banned`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_forums`
#

DROP TABLE IF EXISTS nuke_xmb_forums;
CREATE TABLE nuke_xmb_forums (
  type varchar(15) NOT NULL default '',
  fid smallint(6) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  status varchar(15) NOT NULL default '',
  lastpost varchar(30) NOT NULL default '',
  moderator varchar(100) NOT NULL default '',
  displayorder smallint(6) NOT NULL default '0',
  private varchar(30) default NULL,
  description text,
  allowhtml char(3) NOT NULL default '',
  allowsmilies char(3) NOT NULL default '',
  allowbbcode char(3) NOT NULL default '',
  guestposting char(3) NOT NULL default '',
  userlist text NOT NULL,
  theme varchar(30) NOT NULL default '',
  posts int(100) NOT NULL default '0',
  threads int(100) NOT NULL default '0',
  fup smallint(6) NOT NULL default '0',
  postperm char(3) NOT NULL default '',
  allowimgcode char(3) NOT NULL default '',
  PRIMARY KEY  (fid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_forums`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_members`
#

DROP TABLE IF EXISTS nuke_xmb_members;
CREATE TABLE nuke_xmb_members (
  uid smallint(6) NOT NULL auto_increment,
  username varchar(25) NOT NULL default '',
  password varchar(40) NOT NULL default '',
  regdate bigint(30) NOT NULL default '0',
  postnum smallint(6) NOT NULL default '0',
  email varchar(60) default NULL,
  site varchar(75) default NULL,
  aim varchar(40) default NULL,
  status varchar(35) NOT NULL default '',
  location varchar(50) default NULL,
  bio text,
  sig text,
  showemail varchar(15) NOT NULL default '',
  timeoffset int(5) NOT NULL default '0',
  icq varchar(30) NOT NULL default '',
  avatar varchar(90) default NULL,
  yahoo varchar(40) NOT NULL default '',
  customstatus varchar(100) NOT NULL default '',
  theme varchar(30) NOT NULL default '',
  bday varchar(50) default NULL,
  langfile varchar(40) NOT NULL default '',
  tpp smallint(6) NOT NULL default '0',
  ppp smallint(6) NOT NULL default '0',
  newsletter char(3) NOT NULL default '',
  regip varchar(40) NOT NULL default '',
  timeformat int(5) NOT NULL default '0',
  msn varchar(40) NOT NULL default '',
  dateformat varchar(10) NOT NULL default '',
  ignoreu2u text,
  lastvisit bigint(30) default NULL,
  PRIMARY KEY  (uid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_members`
#

INSERT INTO nuke_xmb_members (uid, username, password, regdate, postnum, email, site, aim, status, location, bio, sig, showemail, timeoffset, icq, avatar, yahoo, customstatus, theme, bday, langfile, tpp, ppp, newsletter, regip, timeformat, msn, dateformat, ignoreu2u, lastvisit) VALUES (1, 'DemoAdmin', 'fe01ce2a7fbac8fafaed7c982a04e229', 1043163647, 0, 'demo@admin-hranice.cz', 'http://www.admin-hranice.cz/nukedemo', '', 'Administrator', '', '', '', 'no', 0, '', 'blank.gif', '', '', '', '', '', 25, 30, 'no', '', 24, '', 'dd/mm/yyyy', '', 1043163938);
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_posts`
#

DROP TABLE IF EXISTS nuke_xmb_posts;
CREATE TABLE nuke_xmb_posts (
  fid smallint(6) NOT NULL default '0',
  tid smallint(6) NOT NULL default '0',
  pid smallint(8) NOT NULL auto_increment,
  author varchar(40) NOT NULL default '',
  message text NOT NULL,
  dateline bigint(30) NOT NULL default '0',
  icon varchar(50) default NULL,
  usesig varchar(15) NOT NULL default '',
  useip varchar(40) NOT NULL default '',
  bbcodeoff varchar(15) NOT NULL default '',
  smileyoff varchar(15) NOT NULL default '',
  emailnotify varchar(15) NOT NULL default '',
  PRIMARY KEY  (pid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_posts`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_ranks`
#

DROP TABLE IF EXISTS nuke_xmb_ranks;
CREATE TABLE nuke_xmb_ranks (
  title varchar(40) NOT NULL default '',
  posts smallint(6) NOT NULL default '0',
  id smallint(6) NOT NULL auto_increment,
  stars smallint(6) NOT NULL default '0',
  allowavatars char(3) NOT NULL default '',
  avatarrank varchar(90) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_ranks`
#

INSERT INTO nuke_xmb_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Newbie', 1, 1, 1, 'yes', '');
INSERT INTO nuke_xmb_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Junior Member', 2, 2, 2, 'yes', '');
INSERT INTO nuke_xmb_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Member', 100, 3, 3, 'yes', '');
INSERT INTO nuke_xmb_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Senior Member', 500, 4, 4, 'yes', '');
INSERT INTO nuke_xmb_ranks (title, posts, id, stars, allowavatars, avatarrank) VALUES ('Posting Freak', 1000, 5, 5, 'yes', '');
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_smilies`
#

DROP TABLE IF EXISTS nuke_xmb_smilies;
CREATE TABLE nuke_xmb_smilies (
  type varchar(15) NOT NULL default '',
  code varchar(40) NOT NULL default '',
  url varchar(40) NOT NULL default '',
  id smallint(6) NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_smilies`
#

INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':)', 'smilies/smile.gif', 1);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':(', 'smilies/sad.gif', 2);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':D', 'smilies/bigsmile.gif', 3);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ';)', 'smilies/wink.gif', 4);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':cool:', 'smilies/cool.gif', 5);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':mad:', 'smilies/mad.gif', 6);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':o', 'smilies/shocked.gif', 7);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('smiley', ':P', 'smilies/tongue.gif', 8);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/smile.gif', 9);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/sad.gif', 10);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/bigsmile.gif', 11);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/wink.gif', 12);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/cool.gif', 13);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/mad.gif', 14);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/shocked.gif', 15);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/tongue.gif', 16);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/exclamation.gif', 17);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/question.gif', 18);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/thumbup.gif', 19);
INSERT INTO nuke_xmb_smilies (type, code, url, id) VALUES ('picon', '', 'smilies/thumbdown.gif', 20);
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_themes`
#

DROP TABLE IF EXISTS nuke_xmb_themes;
CREATE TABLE nuke_xmb_themes (
  name varchar(30) NOT NULL default '',
  bgcolor varchar(15) NOT NULL default '',
  altbg1 varchar(15) NOT NULL default '',
  altbg2 varchar(15) NOT NULL default '',
  link varchar(15) NOT NULL default '',
  bordercolor varchar(15) NOT NULL default '',
  header varchar(15) NOT NULL default '',
  headertext varchar(15) NOT NULL default '',
  top varchar(15) NOT NULL default '',
  catcolor varchar(15) NOT NULL default '',
  tabletext varchar(15) NOT NULL default '',
  text varchar(15) NOT NULL default '',
  borderwidth varchar(15) NOT NULL default '',
  tablewidth varchar(15) NOT NULL default '',
  tablespace varchar(15) NOT NULL default '',
  font varchar(40) NOT NULL default '',
  fontsize varchar(40) NOT NULL default '',
  altfont varchar(40) NOT NULL default '',
  altfontsize varchar(40) NOT NULL default '',
  replyimg varchar(50) default NULL,
  newtopicimg varchar(50) default NULL,
  boardimg varchar(50) default NULL,
  postscol varchar(5) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_themes`
#

INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('gray', '#ffffff', '#dededf', '#eeeeee', '#333399', '#778899', '#778899', '#ffffff', '#eeeeee', '#dcdcde', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('blue', '#ffffff', '#b0c0d0', '#d0e0f0', '#cc6600', '#000000', '#e0f0f9', '#000000', '#d0e0f0', '#b0c0d4', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('hacknuke', '#2a2f79', '#2a2f79', '#2a2f79', '#ff9900', '#000000', '#ff9900', '#000000', '#000000', '#2a2f79', '#ffffff', '#000000', '1', '97%', '2', 'Arial', '12px', 'Verdana', '10px', '', '', 'images/logo1.gif', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('coursapied', '#ffffff', '#dededf', '#eeeeee', '#333399', '#9999ff', '#9999ff', '#ffffff', '#eeeeee', '#dcdcde', '#000000', '#000000', '1', '97%', '6', 'Arial', '12px', 'Arial', '10px', '', '', '', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('postnuke', '#f6f7eb', '#e1e4ce', '#f6f7eb', '#000000', '#b1b78b', '#d9dcc2', '#000000', '#b1b78b', '#e1e4ce', '#000000', '#000000', '1', '97%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('default', '#ffffff', '#ffffff', '#ffffff', '#000000', '#000000', '#ffffff', '#000000', '#ffffff', '#ffffff', '#000000', '#000000', '1', '97%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
INSERT INTO nuke_xmb_themes (name, bgcolor, altbg1, altbg2, link, bordercolor, header, headertext, top, catcolor, tabletext, text, borderwidth, tablewidth, tablespace, font, fontsize, altfont, altfontsize, replyimg, newtopicimg, boardimg, postscol) VALUES ('XMB2', '#ffffff', '#e3e3ea', '#eeeef6', '#404060', '#ffffff', '#505070', '#ffffff', '#ffffff', '#dedee6', '#000033', '#000022', '1', '90%', '4', 'Arial', '12px', 'Verdana', '10px', '', '', '', '2col');
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_threads`
#

DROP TABLE IF EXISTS nuke_xmb_threads;
CREATE TABLE nuke_xmb_threads (
  tid smallint(6) NOT NULL auto_increment,
  fid smallint(6) NOT NULL default '0',
  subject varchar(100) NOT NULL default '',
  lastpost varchar(30) NOT NULL default '',
  views int(100) NOT NULL default '0',
  replies int(100) NOT NULL default '0',
  author varchar(40) NOT NULL default '',
  message text NOT NULL,
  dateline bigint(30) NOT NULL default '0',
  icon varchar(50) default NULL,
  usesig varchar(15) NOT NULL default '',
  closed varchar(15) NOT NULL default '',
  topped smallint(6) NOT NULL default '0',
  useip varchar(40) NOT NULL default '',
  bbcodeoff varchar(15) NOT NULL default '',
  smileyoff varchar(15) NOT NULL default '',
  emailnotify varchar(15) NOT NULL default '',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_threads`
#

# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_whosonline`
#

DROP TABLE IF EXISTS nuke_xmb_whosonline;
CREATE TABLE nuke_xmb_whosonline (
  username varchar(40) NOT NULL default '',
  ip varchar(40) NOT NULL default '',
  time bigint(40) NOT NULL default '0',
  location varchar(150) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_whosonline`
#

INSERT INTO nuke_xmb_whosonline (username, ip, time, location) VALUES ('onlinerecord', '1', 0, '');
INSERT INTO nuke_xmb_whosonline (username, ip, time, location) VALUES ('DemoAdmin', '192.168.2.5', 1043163938, '<a href="modules.php?op=modload&name=XForum&file=indexnav">Hlavn strnka Diskusnho fra</a>');
# --------------------------------------------------------

#
# Table structure for table `nuke_xmb_words`
#

DROP TABLE IF EXISTS nuke_xmb_words;
CREATE TABLE nuke_xmb_words (
  find varchar(60) NOT NULL default '',
  replace1 varchar(60) NOT NULL default '',
  id smallint(6) NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `nuke_xmb_words`
#

INSERT INTO nuke_xmb_words (find, replace1, id) VALUES ('damn', '****', 1);
INSERT INTO nuke_xmb_words (find, replace1, id) VALUES ('shit', '****', 2);
INSERT INTO nuke_xmb_words (find, replace1, id) VALUES ('fuck', '****', 3);
INSERT INTO nuke_xmb_words (find, replace1, id) VALUES ('bitch', '*****', 4);
INSERT INTO nuke_xmb_words (find, replace1, id) VALUES ('ass', '***', 5);

