<?php
// File: $Id: banners.php,v 1.25 2001/12/04 01:12:43 gregorrothfuss Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file: 
// ----------------------------------------------------------------------

include 'mainfile.php';

/********************************************/
/* Function to display banners in all pages */
/********************************************/

function viewbanner()
{
    global $pntable, $dbconn;

    $bresult = $dbconn->Execute("SELECT count(*) AS count FROM $pntable[banner]");
    list($numrows) = $bresult->fields;
    // we no longer need this, free the resources
    $bresult->Close();

    /* Get a random banner if exist any. */
    /* More efficient random stuff, thanks to Cristian Arroyo from http://www.planetalinux.com.ar */

    if ($numrows>1) {
        $numrows = $numrows-1;
        mt_srand((double)microtime()*1000000);
        $bannum = mt_rand(0, $numrows);
    } else {
        $bannum = 0;
    }

    $column = &$pntable['banner_column'];
    $query = buildSimpleQuery ('banner', array ('bid', 'imageurl'), '', '', 1, $bannum);
    $bresult2 = $dbconn->Execute($query);
    list($bid, $imageurl) = $bresult2->fields;
    // we no longer need this, free the resources
    $bresult2->Close();

    global $myIP;

    $myhost = getenv("REMOTE_ADDR");

    if ($myIP == $myhost) {
        // do nothing
    } else {
        $dbconn->Execute("UPDATE $pntable[banner]
                        SET $column[impmade]=$column[impmade]+1
                        WHERE $column[bid]=$bid");
    }

    if ($numrows > 0) {
        $aborrar = $dbconn->Execute("SELECT $column[cid],$column[imptotal],
                                          $column[impmade], $column[clicks],
                                          $column[date]
                                   FROM $pntable[banner]
                                   WHERE $column[bid]=$bid");
        list($cid, $imptotal, $impmade, $clicks, $date) = $aborrar->fields;
        $aborrar->Close();

        /* Check if this impression is the last one and print the banner */
        if ($imptotal == $impmade) {
            $column = &$pntable['bannerfinish_column'];
            $dbconn->Execute("INSERT INTO $pntable[bannerfinish]
                            ( $column[bid], $column[cid], $column[impressions], $column[clicks], $column[datestart], $column[dateend] )
                            VALUES (NULL, '$cid', '$impmade', '$clicks', '$date', now())");
            $dbconn->Execute("DELETE FROM $pntable[banner] WHERE $column[bid]=$bid");
        }

        echo"<a href=\"banners.php?op=click&amp;bid=$bid\" target=\"_blank\"><img src=\"$imageurl\" border=\"0\" alt=\"\"></a>";
    }
}

/********************************************/
/* Function to redirect the clicks to the   */
/* correct url and add 1 click              */
/********************************************/

function clickbanner($bid)
{
    global $pntable, $dbconn;

    $column = &$pntable['banner_column'];
    $bresult = $dbconn->Execute("SELECT $column[clickurl]
                               FROM $pntable[banner]
                               WHERE $column[bid]=$bid");
    list($clickurl) = $bresult->fields;
    $bresult->Close();
    $dbconn->Execute("UPDATE $pntable[banner]
                    SET $column[clicks]=$column[clicks]+1
                    WHERE $column[bid]=$bid");
    Header("Location: $clickurl");
}

/********************************************/
/* Function to let your client login to see */
/* the stats                                */
/********************************************/

function clientlogin()
{
    echo "<html>"
        ."<body bgcolor=\"#AA9985\" text=\"#000000\" link=\"#006666\" vlink=\"#006666\">"
        ."<center><br><br><br><br>"
        ."<table width=\"200\" cellpadding=\"0\" cellspacing=\"1\" border=\"0\" bgcolor=\"#000000\"><tr><td>"
        ."<table width=\"100%\" cellpadding=\"5\" cellspacing=\"1\" border=\"0\" bgcolor=\"#FFFFFF\"><tr><td bgcolor=\"#EECFA1\">"
        ."<center><b>Advertising Statistics</b></center>"
        ."</td></tr><tr><td bgcolor=\"#FFFACD\">"
        ."<form action=\"banners.php\" method=\"post\">"
        ."Login: <input type=\"text\" name=\"login\" size=\"12\" maxlength=\"10\"><br>"
        ."Password: <input type=\"password\" name=\"pass\" size=\"12\" maxlength=\"10\"><br>"
        ."<input type=\"hidden\" name=\"op\" value=\"Ok\">"
        ."<input type=\"submit\" value=\"Login\">"
        ."</td></tr><tr><td bgcolor=\"#EECFA1\">"
        ."<font class=\"pn-normal\">"
        ."<center>Please type your client information</center>"
        ."</font></form>"
        ."</td></tr></table></td></tr></table>"
        ."</body>"
        ."</html>";
}

/*********************************************/
/* Function to display the banners stats for */
/* each client                               */
/*********************************************/

function bannerstats($login, $pass)
{
    global $pntable, $dbconn;

    $column = &$pntable['bannerclient_column'];
    $result = $dbconn->Execute("SELECT $column[cid], $column[name], $column[passwd]
                              FROM $pntable[bannerclient]
                              WHERE $column[login]='$login'");
    list($cid, $name, $passwd) = $result->fields;
    $result->Close();

    if ($login == "" AND $pass == "" OR $pass == "") {
        echo "<center><br>Login Incorrect!!!<br><br><a href=\"javascript:history.go(-1)\">Back to Login Screen</a></center>";
    } else {
        if ($pass==$passwd) {
            echo "<html>"
                ."<body bgcolor=\"#AA9985\" text=\"#000000\" link=\"#006666\" vlink=\"#006666\">"
                ."<center>"
                ."<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#000000\"><tr><td>"
                ."<table border=\"0\" width=\"100%\" cellpadding=\"8\" cellspacing=\"1\" bgcolor=\"#FFFACD\"><tr><td>"
                ."<font class=\"pn-title\">"
                ."<center><b>Current Active Banners for $name</b></center><br>"
                ."</font>"
                ."<table width=\"100%\" border=\"0\"><tr>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>ID</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Imp. Made</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Imp. Total</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Imp. Left</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Clicks</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>% Clicks</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Functions</b></td><tr>";

            $column = &$pntable['banner_column'];
            $result = $dbconn->Execute("SELECT bid, imptotal, impmade, clicks, date
                                      FROM $pntable[banner]
                                      WHERE cid=$cid");

            while(list($bid, $imptotal, $impmade, $clicks, $date) = $result->fields) {

                $result->MoveNext();
                if($impmade==0) {
                    $percent = 0;
                } else {
                    $percent = substr(100 * $clicks / $impmade, 0, 5);
                }

                if($imptotal==0) {
                    $left = "Unlimited";
                } else {
                    $left = $imptotal-$impmade;
                }

                echo "<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$bid</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$impmade</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$imptotal</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$left</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$clicks</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$percent%</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\"><a href=\"banners.php?op=EmailStats&login=$login&cid=$cid&bid=$bid\">E-mail Stats</a></td><tr>";
            }

            echo "</table>"
                ."<center><br><br>"
                ."Following are your running Banners in $sitename<br><br>";

            $column = &$pntable['banner_column'];
            $result = $dbconn->Execute ("SELECT $column[bid], $column[imageurl], $column[clickurl]
                                       FROM $pntable[banner]
                                       WHERE $column[cid]=$cid");

            $numrows = $result->PO_RecordCount();

            while(list($bid, $imageurl, $clickurl) = $result->fields) {
                if ($numrows>1) {
                    echo "<hr noshade width=\"80%\"><br>";
                }

                echo "<img src=\"$imageurl\" border=\"1\"><br>"
                    ."<font class=\"pn-normal\">Banner ID: $bid<br>"
                    ."Send <a href=\"banners.php?op=EmailStats&login=$login&cid=$cid&bid=$bid\">E-Mail Stats</a> for this Banner<br>"
                    ."This Banners points to <a href=\"$clickurl\">this URL</a><br>"
                    ."<form action=\"banners.php\" method=\"submit\">"
                    ."Change URL: <input type=\"text\" name=\"url\" size=\"50\" maxlength=\"200\" value=\"$clickurl\">"
                    ."<input type=\"hidden\" name=\"login\" value=\"$login\">"
                    ."<input type=\"hidden\" name=\"bid\" value=\"$bid\">"
                    ."<input type=\"hidden\" name=\"pass\" value=\"$pass\">"
                    ."<input type=\"hidden\" name=\"cid\" value=\"$cid\">"
                    ."<input type=\"submit\" name=\"op\" value=\"Change\"></form></font>";
                $result->MoveNext();
            }

            echo "</td></tr></table></td></tr></table>";

            /* Finnished Banners */

            echo "<center><br>"
                ."<table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"000000\"><tr><td>"
                ."<table border=\"0\" width=\"100%\" cellpadding=\"8\" cellspacing=\"1\" bgcolor=\"#FFFACD\"><tr><td>"
                ."<font class=\"pn-title\">"
                ."<center><b>Banners Finished for $name</b></center><br>"
                ."</font>"
                ."<table width=\"100%\" border=\"0\"><tr>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>ID</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Impressions</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Clicks</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>% Clicks</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>Start Date</b></td>"
                ."<td bgcolor=\"#887765\"><font color=\"Black\"><center><b>End Date</b></td></tr>";

            $column = &$pntable['bannerfinish_column'];
            $result = $dbconn->Execute("SELECT $column[bid], $column[impressions],
                                             $column[clicks], $column[datestart],
                                             $column[dateend]
                                      FROM $pntable[bannerfinish]
                                      WHERE $column[cid]=$cid");
            while(list($bid, $impressions, $clicks, $datestart, $dateend) = $result->fields) {

                $result->MoveNext();
                $percent = substr(100 * $clicks / $impressions, 0, 5);

                echo "<tr><td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$bid</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$impressions</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$clicks</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$percent%</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$datestart</td>"
                    ."<td bgcolor=\"#AA9985\" align=\"center\"><font color=\"White\">$dateend</td></tr>";
            }

            echo "</table></td></tr></table></td></tr></table>"
                ."<br><a href=\"http://postnuke.com\"><img src=\"images/banners/phpnuke.gif\" border=\"0\" Alt=\"This site Powered by Post-Nuke\"></a>"
                ."</body>"
                ."</html>";

        } else {
            echo "<center><br>Login Incorrect!!!<br><br><a href=\"javascript:history.go(-1)\">Back to Login Screen</a></center>";
        }
    }
}

/*********************************************/
/* Function to let the client E-mail his     */
/* banner Stats                              */
/*********************************************/

function EmailStats($login, $cid, $bid, $pass)
{
    global $pntable, $dbconn;

    $column = &$pntable['bannerclient_column'];
    $result2 = $dbconn->Execute("SELECT $column[name], $column[email]
                               FROM $pntable[bannerclient]
                               WHERE $column[cid]=$cid");
    list($name, $email) = $result2->fields;

    if ($email == "") {
        echo "<html>"
            ."<body bgcolor=\"#AA9985\" text=\"#000000\" link=\"#006666\" vlink=\"#006666\">"
            ."<center><br><br><br>"
            ."<b>Statistics for Banner No. $bid can't be send because<br>"
            ."there isn't an email associated with client $name<br>"
            ."Please contact the Administrator<br><br></b>"
            ."<a href=\"javascript:history.go(-1)\">Back to Banners Stats</a>";

    } else {
        $column = &$pntable['banner_column'];
        $result = $dbconn->Execute("SELECT $column[bid], $column[imptotal], $column[impmade], $column[clicks], $column[imageurl], $column[clickurl], $column[date]
                                  FROM $pntable[banner]
                                  WHERE $column[bid]=$bid AND $column[cid]=$cid");
        list($bid, $imptotal, $impmade, $clicks, $imageurl, $clickurl, $date) = $result->fields;

        if ($impmade == 0) {
            $percent = 0;
        } else {
            $percent = substr(100 * $clicks / $impmade, 0, 5);
        }

        if ($imptotal == 0) {
            $left = "Unlimited";
            $imptotal = "Unlimited";
        } else {
            $left = $imptotal-$impmade;
        }

        $fecha = date("F jS Y, h:iA.");
        $subject = "Your Banner Statistics at $sitename";
        $message = "Following are the complete stats for your advertising investment at $sitename:\n\n\nClient Name: $name\nBanner ID: $bid\nBanner Image: $imageurl\nBanner URL: $clickurl\n\nImpressions Purchased: $imptotal\nImpressions Made: $impmade\nImpressions Left: $left\nClicks Received: $clicks\nClicks Percent: $percent%\n\n\nReport Generated on: $fecha";
        $from = "$sitename";
        mail($email, $subject, $message, "From: $from\nX-Mailer: PHP/" . phpversion());

        echo "<html>"
            ."<body bgcolor=\"#AA9985\" text=\"#000000\" link=\"#006666\" vlink=\"#006666\">"
            ."<center><br><br><br>"
            ."<b>Statistics for Banner No. $bid has been send to<br>"
            ."<i>$email</i> of $name<br><br></b>"
            ."<a href=\"javascript:history.go(-1)\">Back to Banners Stats</a>";
    }
}

/*********************************************/
/* Function to let the client to change the  */
/* url for his banner                        */
/*********************************************/

function change_banner_url_by_client($login, $pass, $cid, $bid, $url)
{
    global $pntable, $dbconn;
    $column = &$pntable['bannerclient_column'];
    $result = $dbconn->Execute("SELECT $column[passwd]
                              FROM $pntable[bannerclient]
                              WHERE $column[cid]=$cid");
    list($passwd) = $result->fields;
    $result->Close();

    if (!empty($pass) && $pass == $passwd) {
        $column = &$pntable['banner_column'];
        $dbconn->Execute("UPDATE $pntable[banner] SET $column[clickurl]='$url' WHERE $column[bid]=$bid");
        echo "<center><br>You changed the URL<br><br><a href=\"javascript:history.go(-1)\">Back to Stats Page</a></center>";
    } else {
        echo "<center><br>Your login/password doesn't match.<br><br>Please <a href=\"banners.php?op=login\">login again</a></center>";
    }
}

switch($op) {

    case "click":
        clickbanner($bid);
        break;

    case "login":
        clientlogin();
        break;

    case "Ok":
        bannerstats($login, $pass);
        break;

    case "Change":
        change_banner_url_by_client($login, $pass, $cid, $bid, $url);
        break;

    case "EmailStats":
        EmailStats($login, $cid, $bid, $pass);
        break;

    default:
        viewbanner();
        break;
}

?>