<?php // $Id: sections.php,v 1.20 2001/12/06 19:29:06 proca Exp $ $Name:  $
/************************************************************************/
/* Post-Nuke: Content Management System                                 */
/* ====================================                                 */
/* Module: Search/sections plugin                                        */
/*                                                                      */
/* Copyright (c) 2001 by the Post Nuke development team                 */
/* http://www.postnuke.com                                              */
/************************************************************************/
/************************/
/* Modified version of: */
/************************************************************************/
/* Search Module                                                        */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2001 by Patrick Kellum (webmaster@ctarl-ctarl.com)     */
/* http://www.ctarl-ctarl.com                                           */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/************************************************************************/
/* Filename: includes/search/sections.php                               */
/* Original Author: Patrick Kellum                                      */
/* Purpose: Search sections                                             */
/************************************************************************/
//Z vyhledavaciho modulu recenzi upravil Vilda Kuzel, kveten 2002
$search_modules[] = array(
    'title' => 'Sections',
    'func_search' => 'search_sections',
    'func_opt' => 'search_sections_opt'
);
function search_sections_opt($vars) {
    global
        $bgcolor1,
        $bgcolor2,
        $bgcolor3,
        $textcolor1,
        $textcolor2
    ;
    print "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\"><td><font class=\"pn-normal\" style=\"$text-color:$textcolor1\"><input type=\"checkbox\" name=\"active_sections\" id=\"active_sections\" value=\"1\" checked>&nbsp;<label for=\"active_sections\">"._SEARCH_SECTIONS."</label></font></td></tr></table>";
}
function search_sections($vars) {
    if(!$vars['active_sections']) {
        return;
    }
    global
        $bgcolor1,
        $bgcolor2,
        $bgcolor3,
        $bgcolor4,
        $textcolor1,
        $textcolor2,
        $pntable,
        $dbconn,
        $currentlang,
        $multilingual
    ;
    $w = search_split_query($vars[q]);
    $flag = false;

    $seccol = &$pntable['seccont_column'];
    $query = "SELECT DISTINCT $seccol[artid] as artid, $seccol[title] as title, $seccol[secid] as secid, $seccol[title] as title
              FROM $pntable[seccont]
              WHERE \n";
    foreach($w as $word) {
        if($flag) {
            switch($vars['bool']) {
                case 'AND' :
                    $query .= ' AND ';
                    break;
                case 'OR' :
                default :
                    $query .= ' OR ';
                    break;
            }
        }
        $query .= '(';
        // sections
        $query .= "$seccol[title] LIKE '$word' OR \n";
        $query .= "$seccol[content] LIKE '$word'\n";
        $query .= ')';
        $flag = true;
    }
    if ($multilingual == 1) {
           $query .= " AND ($seccol[slanguage]='$currentlang' OR $seccol[slanguage]='')";
    }
    $query .= " ORDER BY $seccol[title]";
    //echo $query;
    $result = $dbconn->Execute($query);
    //echo $result;
    $total_rows = $result->PO_RecordCount();
    if($vars['overview']) {
        $result->Close();
        $result = $dbconn->SelectLimit($query,3);
    }

    if(!$result->EOF) {
        print "<font class=\"pn-normal\">"._SECTIONS.":</font>";
        //if($total_rows > 3 && $vars['overview']) {
        if($total_rows > 3) {
            print " <a class=\"pn-normal\" href=\"modules.php?op=modload&name=Search&file=index&action=search&active_sections=1&bool=$vars[bool]&q=$vars[q]\">"._SEEALL." $total_rows "._RESULTS."...</a>";
        }
        print "<ul>";

        while(!$result->EOF) {
            $row = $result->GetRowAssoc(false);

			print "<li><a class=\"pn-normal\" href=\"modules.php?op=modload&name=Sections&file=index&req=viewarticle&artid=$row[artid]\">$row[title]</a><br>";

            $result->MoveNext();
        }
        print "</ul>\n";
    } else {
	//ADMIN ++ ADDED  print '<font class=\"pn-normal\">'._SEARCH_NO_sections.'</font>';
	print '<font class=\"pn-normal\">'._SEARCH_NO_SECTIONS.'</font>';
    }
    print "<br>";
}
?>