<html>
<head>
<title>Blocks</title>
<link REL="StyleSheet" HREF="style/manual_styleNN.css" TYPE="text/css">
<style type="text/css">@import url("style/manual_style.css"); </style>
</head>
<body>
<table class="main" cellpadding=4 cellspacing=1>
    <tr class="help-topic">
    <td class="help-topic" align="center"><img src=../images/global/manual.jpg border=0></td>
    <td class="help-topic">Advanced Blocks Administration</td>
    </tr>
    <tr>
    <td class="help-desc" colspan=2>
    Use Advanced Blocks Administration to manage the Blocks that appear on your site. Currently active Blocks are show by default. You can activate or deactivate Blocks and reposition their location in the browser window. Block settings can be modified in the Edit Block screen. Open the Edit Block screen by clicking on the Title of a Block. 
    </td>
    </tr>
    <tr>
    <td class="item">Show Inactive</td>
    <td class="item-desc">Click the Show Inactive link to Display both Inactive and Active Blocks</td>
    </tr>
    <tr>
    <td class="item"><img src="/images/global/green_dot.gif"></td>
    <td class="item-desc">A green dot next to the Title of a Block indicates that the Block is currently active. Deactivate the block by clicking the green dot.</td>
    </tr>
    <tr>
    <td class="item"><img src="/images/global/red_dot.gif"></td>
    <td class="item-desc">A red dot next to the Title of a Block indicates that the Block is currently inactive. Activate a block by clicking the red dot.</td>
    </tr>
    <tr>
    <td class="item">Title</td>
    <td class="item-desc">Name of Block. Edit a block by clicking on the Title.</td>
    </tr>
    <tr>
    <td class="item">Position</td>
    <td class="item-desc">
        <p>Indicates which side of the browser window the block will appear.</p>
        <table>
	<tr><td><img src="../images/global/right.gif"></td><td>Right side of screen</td></tr>
	<tr><td><img src="../images/global/left.gif"></td><td>Left side of screen</td></tr>
        </table>
        <p>The position of a block can be changed in the Edit Block screen. Open the Edit Block screen by clicking on the Title of a block.</p>
    </td>
    </tr>
    <tr>
    <td class="item">Weight</td>
    <td class="item-desc">Use the arrows to move the block up or down the side it is positioned on.</td>
    </tr>
    <tr>
    <td class="item">Language</td>
    <td class="item-desc">Specifies the Language the block will appear in. For example, if the Block language is set to Brazilian Portugese it will only appear when the interface language for the entire site is set to Brazilian Portugese.</td>
    </tr>
    <tr>
    <td class="item"><img src="/images/global/delete.gif"></td>
    <td class="item-desc">Click the Delete button to delete a Block.</td>
    </tr>
</table>

</body>
</html>
