<?php
   function language_current($action='get',$new_language='')
   {
      static $language='';
      switch ($action)
      {
         case 'get':
            return $language;
         case 'set':
            $language = $new_language;
            break;
         default:
            die("language_current($action,$new_language)");
      }
   }

   function language_sql($table, $prefix='',$sql='WHERE')
   {
    $language = language_current();
    if ($language=='')
       return '';
    else
       return " $sql " . $pntable["{$table}_column"]["{$prefix}language"] . "='$language'";
   }

   function language_list()
   {
#     All entries use ISO 639-2/T
#     ---------------------------
      $lang['ara'] = _LANGUAGE_ARA; // Arabic
      $lang['zho'] = _LANGUAGE_ZHO; // Chinese
      $lang['ces'] = _LANGUAGE_CES; // Czech
      $lang['dan'] = _LANGUAGE_DAN; // Danish
      $lang['nld'] = _LANGUAGE_NLD; // Dutch
      $lang['eng'] = _LANGUAGE_ENG; // English
      $lang['epo'] = _LANGUAGE_EPO; // Esperanto
      $lang['fin'] = _LANGUAGE_FIN; // Finnish
      $lang['fra'] = _LANGUAGE_FRA; // French
      $lang['deu'] = _LANGUAGE_DEU; // German
      $lang['hun'] = _LANGUAGE_HUN; // Hungarian
      $lang['isl'] = _LANGUAGE_ISL; // Icelandic
      $lang['ita'] = _LANGUAGE_ITA; // Italian
      $lang['jpn'] = _LANGUAGE_JPN; // Japanese
      $lang['kor'] = _LANGUAGE_KOR; // Korean
      $lang['mas'] = _LANGUAGE_MAS; // Malay
      $lang['nor'] = _LANGUAGE_NOR; // Norwegian
      $lang['por'] = _LANGUAGE_POR; // Portuguese
      $lang['rus'] = _LANGUAGE_RUS; // Russian
      $lang['x_rus_koi8r'] = _LANGUAGE_X_RUS_KOI8R; // Russian KOI8-R
      $lang['spa'] = _LANGUAGE_SPA; // Spanish
      $lang['swe'] = _LANGUAGE_SWE; // Swedish
      $lang['tha'] = _LANGUAGE_THA; // Thai
#     Non-ISO entries are written as x_[language name]
      $lang['x_all'] = _ALL; // all languages
      $lang['x_brazilian_portuguese'] = _LANGUAGE_X_BRAZILIAN_PORTUGUESE; // Brazilian Portuguese
      $lang['x_klingon'] = _LANGUAGE_X_KLINGON; // Klingon
      return $lang;
   }

   function language_name($language)
   {
      static $name=array();
      if (count($name)==0) $name = language_list();
      return $name[$language];
   }
?>