<?
/*****************************************************************************************
 *  WebChat - multiple private/open room chat system for PostNuke                        *
 *****************************************************************************************
 *   David "Cyklone" Thompson   david@thompsonville.net                                  *
 *   portions credited to Daniel Toma [dt@dnt.ro] [http://www.webdev.ro]                 *
 *****************************************************************************************
 *  Read CHANGELOG for updates and bug fixes                                             *
 *****************************************************************************************
 * POST-NUKE Content Management System                                                   *
 * Copyright (C) 2001 by the Post-Nuke Development Team.                                 *
 * http://www.postnuke.com/                                                              *
 * --------------------------------------------------------------------------------------*
 * Based on:                                                                             *
 * PHP-NUKE Web Portal System - http://phpnuke.org/                                      *
 * Thatware - http://thatware.org/                                                       *
 *****************************************************************************************/

// Main
define('_WCAPPNAME',          'WebChat');
define('_WCTITLE',            '%s '._WCAPPNAME);
define('_WCNOTINSTALLED',     _WCAPPNAME.' nen nainstalovan , nebo byla chyba pi instalaci.<br><br>Kliknte <a href="modules.php?op=modload&name=NS-WebChat&file=install">zde</a> pro sputn instalace');
define('_WCADMINNEEDED',      'Muste bt pihlen jako admin , aby mohla instalace'._WCAPPNAME.' pokraovat!');
define('_WCNOACTIVE',         'dn mstnost nebyla vytvoena');
define('_WCBACKLIST',         'Zpt k vpisu mstnost');
define('_WCINVALIDROOM',      'Byla zvolena patn mstnost. Vrate se zpt a vyberte jinou.');
define('_WCNONICK',           'Nebyl zadn NICK');
define('_WCPWREQROOM',        'pro vstup do mstnosti muste zadat heslo');
define('_WCINVUSERPW',        'Jmno/Heslo bylo zadno aptn');
define('_WCROOMNAME',         'Nzev mstnosti');
define('_WCROOMTYPE',         'Zpis');
define('_WCROOMDESC',         'Porobnosti');
define('_WCROOMOCCUPANTS',    'Obsazeno');
define('_WCPASSWORD',         'Heslo');
define('_WCACTION',           'Akce');
define('_WCNORMROOM',         'Normln');
define('_WCPRIVROOM',         'Soukrom');
define('_WCENTERUNAME',       'Zadejte NICK');
define('_WCINVROOMPW',        'patn heslo pro  %s');
define('_WCREGONLY',          '%s pouze pro registrovan');
define('_WCALREADYINROOM',    'Uivatel %s ji existuje %s se stejnou IP adresou.<br>Seznam uivatel bude obnoven za %s vtein. Zkuste to potom znovu.');
define('_WCUSERENTER',        '%s vstoupil na chat');
define('_WCPWREQ',            'Heslo vyadovno');
define('_WCENTERPW',          'Zadejte heslo');
define('_WCUSERS',            'Uivatel');
define('_WCJOINROOM',         'Vstoupit do mstnosti');
define('_WCCHATTIPS',         'Tip: upravte si text barevn<b>*</b> tun <b>bold</b>, podtrenm <b>_</b> italikou <i>italics</i>');
define('_WCFILLFIELDS',       'Zadejte prosm hodnotu');
define('_WCREQFIELDS',        '* = Vyadovno oprvnn');
define('_WCPASSOPT',          '** = Pouze pro soukrom mstnosti');
define('_WCCHATWELCOME',      'Vtejte na chatu <br>Mluvte zde prosm slun a  tmatu');
define('_WCQUIT',             'Dkujeme '._WCAPPNAME.', pijde zase .');
define('_WCQUITREASON0',      '%s, odeli  %s.');
define('_WCQUITREASON1',      '%s, byli jste vyhozeni %s protoe jste dlouho nepromluvili!');

// Admin 
define('_WCADMINMENU',        _WCAPPNAME.' Administrace');
define('_WCADMINGEN',         'Hlavn nastaven Chatu');
define('_WCADMINROOMS',       'Sprva mstnost');
define('_WCADMINSMILES',      'Sprva smajlk');
define('_WCADMINSOUNDS',      'Sprva zvuk');
define('_WCADMINSPECIAL',     'Specieln funkce mstnost');
define('_WCADMINDBHOST',      'DB Host (pouze pro ten)');
define('_WCADMINDBUNAME',     'DB U. jmno (pouze pro ten)');
define('_WCADMINDBPW',        'DB Heslo (pouze pro ten)');
define('_WCADMINDBNAME',      'DB Jmno (poze pro ten)');
define('_WCADMINDBPREFIX',    'DB Prefix (pouze pro ten)');
define('_WCADMINSMILE',       'Smajlci');
define('_WCADD',              'Pidat');
define('_WCMODIFY',           'Upravit');
define('_WCDELETE',           'Smazat');
define('_WCNOTEMPTY',         'Nelze smazat obsazenou mstnost');
define('_WCADMINROOMSDESC',   'Vytvoen, prava a mazn mstnost ');
define('_WCADMINGENDESC',     'Hlavn nastaven chatu ');
define('_WCADMINSPECIALDESC', 'Veobecn sprva vem uivatelm');
define('_WCADMINSMILEDESC',   'Pidn a sprva smajlk');
define('_WCADMINSOUNDDESC',   'Pidn a sprva zvuk');
define('_WCADMINMSGREFRESH',  'Obnovovac as (milisekundy)');
define('_WCADMINUSRTIME',     'Uivatel/zprva je star (sekund)');
define('_WCADMINSHOWSMILES',  'Prohlen smajlk');
define('_WCADMINSMILESDIR',   'Adres smajlk ');
define('_WCADMINUSESOUNDS',   'Pouit zvuky');
define('_WCADMINSHOWSOUNDS',  'Zstupci dostupnch zvuk');
define('_WCADMINSNDSDIR',     'Adres zvuk');
define('_WCADMINSHOWUSRS',    'Vpis uivatel');
define('_WCADMINKEEPONLINE',  'Udrovat pouze aktivn konverzace');
define('_WCADMINGENMSG1',     'WebChat vyaduje pro svoji funkci stejn nastaven databze jako nuke (naleznete v PN config)');
define('_WCADMINGENMSG2',     'Hlavn nastaven WebChatu pro window funkci');
define('_WCADMINCURSMILEDIR', 'Stvajc adres smajlk');
define('_WCADMINCURSOUNDDIR', 'stvajc adres zvuk');
define('_WCSMILEID',          'SID');
define('_WCSMILEIMAGE',       'Obrzek');
define('_WCSMILECODE',        'Kd');
define('_WCSMILEFILE',        'Jmno souboru');
define('_WCSMILEEMOTION',     'Emoce');
define('_WCSMILESHOW',        'zobrazen zstupc');
define('_WCSOUNDCMD',         'Pkaz');
define('_WCSOUNDFILE',        'Nzev souboru');
define('_WCSOUNDTEXT',        'Chat historie');
define('_WCSOUNDSHOW',        'zobrazen zstupc');
define('_WCYES',              'Ano');
define('_WCNO',               'Ne');
define('_WCSAVESETTINGS',     'Uloit nastaven');
define('_WCSETTINGSSAVED',    'Nastaven uloeno');
define('_WCSETTINGSERR',      'Nastaven nebylo uloeno!');
define('_WCONLINE',           'online');
define('_WCALLOWCREATE',      'Dovolit uivatelm vytvoit mstnosti');
define('_WCONLYREGCANCREATE', 'Zaloit mstnost mohou pouze registrovan uivatel');
define('_WCCREATEAROOM',      'Vytvoit vai vlastn mstnost ');
define('_WCORIGINAL',         'Originl');

// help
define('_WCHELPTITLE',        _WCAPPNAME.' Help');
define('_WCHELPSMILETBL',     'Instalovan smajlky<br><br>Tento [kd] zobrazen ve sloupci, vlote dotextu pro zobrazen smajlku ');
define('_WCHELPSOUNDTBL',     'Instalovan zvuky<br><br>Tento  [pkaz] vlote do textu pro zaznn zvuku.');
define('_WCHELPSOUNDTBLOPTS', '<b>Nastaven:</b><br><b><i><Uivatelsk jmno></i></b> Vloil zvuk .<br>i.e. <b><i>/hey judy</i></b> will send the sound to Judy only.');
define('_WCHELPTEXT1',        'Jak pout smajlky v textu');
define('_WCHELPTEXT2',        'Jak pouvat zvuky pi chatu');
define('_WCHELPTEXT3',        'Jak pkazy jsou podporovny');
define('_WCHELPTOP',          'Zpt nahoru');
define('_WCHELPCLOSE',        'Zavt okno');
define('_WCHELPNODATA',       'Nen %s zatm nainstalovn');
define('_WCHELPCMDTBL',       'Podporovan pkazy');
define('_WCHELPCMDDESC',      'Rozlien');
define('_WCHELPCMDMSGHLP',    'Poslat soukromou zprvu <i>uivateli</i>.  Nikdo jin nebude moci vidt tuto zprvu.<br>Rychle ji lze poslat kliknutm na jmno v uivatelskm listu');

// install
define('_WCINSGENSETTINGS',   'Instalace: Obecn nastaven WebChat ');
define('_WCINSSAVESETTINGS',  'uloit nastaven a pokraovat');
define('_WCINSCONFIGSAVED',   'Nastaven uloeno do souboru config.php .');
define('_WCINSTABLEERR',      'Chyba vytven tabulky');
define('_WCINSTABLECREATED',  'Tabulka vytvoena bez problm.');
define('_WCINSCONT',          'Pokraovat v instalaci');
define('_WCINSDONE',          'Dokonit');
define('_WCINSTALLED',        _WCAPPNAME.' byl nainstalovan spn!<br><br>Dky za pouit '._WCAPPNAME.' .  Ppadn chyby zaslejte na  <a href="http://naturald.sytes.net">Natural Disasters</a>');
define('_WCINSADDINGDEF',     'Instalace: Do tabulek vloeny defaultn hodnoty...');
define('_WCINSDONETXT',       'Instalace je dokonena.  Kliknte zde [Done] pro smazn  install.php a kompletnmu ukonen instalace.');
define('_WCINSCREATETABLES',  'Instalacen: Vytvm tabulky...');
define('_WCINSADDINGSMILES',  'vkldm smajlky...');
define('_WCINSADDINGROOMS',   'Vytvm mstnosti...');
define('_WCINSADDINGSOUNDS',  'Vkldm zvuky...');
define('_WCINSADDINGERR',     'Chyba pi nahrvn daj do %s tabulky');
define('_WCINSADDINGDONE',    'Ukoneno nahrvn daj do %s tabulky');
?>